Issuu on Google+

Dive into Sacramento & its Surrounding Areas March 18 – april 1, 2013

#132

blvd park I hear the sound

Tel Cairo Through the Looking Glass

free

sammy obeid the iron man of Comedy

10

Looks from Sacramento

Fashion Week

assembly A New Place for Live Arts & Music • Carell, Buscemi, Carrey & Wilde create Movie Magic (Mostly) • Please, No More Sushi


\

THe aggroliTes

Thursday

apr

wednesday

la plebe • the pinStripeS

Harlow’s • 2708 J st.

25

• saCto •

21 & over • 8:00pm

murS

prof • faShawn

Harlow’s • 2708 J st.

• saCto •

Thursday

21 & over • 10:00pm

matt coSta

Harlow’s 2708 J St. • Sac 21 & over • 8:00pm

ticketS avail at harlowS.com & ticketfly.com

• saCto •

21 & over • 8:00pm

caveman (fat poSSum) blue lamp • 1400

pure bathing culture alHambra

blvd. • saCto • 21 & over • 9:00pm

pimpS of Joytime vokab kompany

Harlow’s • 2708 J st.

• saCto •

21 & over • 8:00pm

HearTless BasTards an evening with

sunday

Yo La tengo may 12

Harlow’s • 2708 J st.

Jonny fritz • saCto •

21 & over • 8:00pm

patterSon hood

(Singer of drive by truckerS)

Harlow’s • 2708 J st.

• saCto •

21 & over • 8:00pm

lord huron Harlow’s • 2708 J st.

papa

• saCto •

Harlow’s • 2708 J st.

21 & over • 9:30pm

presented in assoCiation witH swell produCtions

(feat. memberS of kai kln and victimS family)

blue lamp • 1400

alHambra

Thursday

sep 12

blue lamp • 1400

blvd. • saCto • 21 & over • 9:00pm

built• to Spill saCto • 21 &

Harlow’s • 2708 J st.

mapS & atlaSeS blvd. • saCto • 21 & over • 9:00pm

beat connection blue lamp • 1400

creSt theatre 1013 k St. • Sac all ageS • 7:30pm

ticketS avail at ticketS.com, the beat & creSt box office

abStractSacramento.com

Issue 132 • March 18 – April 1, 2013

odeSza

alHambra

blvd. • saCto • 21 & over • 8:00pm

the infamouS StringduSterS the brotherS comatoSe

Harlow’s • 2708 J st.

Harlow’s •

sunday

mar 31 Thursday

apr 4 apr 5 apr 11 saTurday

apr 13

• saCto •

21 & over • 8:00pm

atlaS• geniuS 2708 J st. saCto • all

apr 22 apr 26 saTurday

young man

alHambra

mar 25

friday

over • 9:30pm

(also playing 4/24 at Humbrews, arCata & 4/25 at tHe alley, sparks, nv)

blue lamp • 1400

monday

monday

mount moriah

alHambra

mar 24

blvd. • saCto • 21 & over • 9:00pm

telekineSiS

abstract entertainment 2

21 & over • 9:00pm

guantanamo brubaker School of medicine

ticketS avail at the beat, harlowS.com & ticketfly.com

sunday

Thursday

Jello biafra & THe

Harlow’s 2708 J St. • Sac 21 & over • 9:00pm

John hiatt & the Combo

• saCto •

mar 24

friday

polica

night moveS

mar 21 sunday

carly ritter • Sam outlaw

Harlow’s • 2708 J st.

mar 20

apr 27 Tuesday

may 7 Tuesday

may 7 wednesday

ages • 7:00pm

may 22

ticketS available at: ticketfly.com

ticketS for harlow’S ShowS alSo available at harlowS.com Dive Into Sacramento & Its Surrounding Areas


www.sacballet.org or call: 916-552-5800 x2 (M-F 10am - 1pm, 1:30pm -3pm)

Spring 2013 • Shows & Events

April 3 • 7:30pm at Three Stages

! He's BACK t One Nigh ONLY

Fun for the Family! Ron Cunningham’s

A fast-paced, two act live comedy benefitting the Sacramento Ballet

Tickets: $25/$30/$35 on sale through ThreeStages.net 916-608-6888

April 6 • 1pm at Three Stages

Tickets: $25/$15 on sale through ThreeStages.net 916-608-6888

SAVE THE DATE

&

April 29 • Arts Day of Giving

Give to the Arts on this day and your donation will be matched! Watch for more details on SacBallet.org

3rd Annual

Tapas Tutus May 5 Elks Tower Ballroom

Sponsored by: Jim Hargrove, Rail Bridge Cellars Event Produced by: Pecorelli Productions

May 30 - 7pm May 31 - 7pm June 1 - 7pm June 2 - 2pm Tickets: $35

Food & Wine, Silent Auction, Door Prizes, etc. All proceeds go directly to Sacramento Ballet

paired with George Balanchine’s Western Symphony at the Community Center Theater

Tickets: $60/person Become a Sponsor with benefits: $500/Table of 10 For sponsorship information contact Greg Smith: GSmith@sacballet.org www.sacballet.org • 916-552-5800 x2

on sale through the Sacramento Ballet Only

www.sacballet.org 916-552-5800 x2

March 21 - 7:30pm March 22 - 7:30pm March 23 - 7:30pm March 24 - 2pm Ticket prices range from $17 - $68

Call the CCT Box Office:

916-808-5181

www.sacballet.org A Midsummer Night’s Dream is sponsored by:

Kaiser Permanente

Western Symphony is sponsored by

Radiological Associates of Sacramento

SubmergeMag.com

May 16 - 19

at St. Francis High School Performing Arts Center

Tickets: $45 Call: 916-552-5800 x2

Available through the Sacramento Ballet Box Office Only M-F 10am - 1pm, 1:30pm - 3pm

Online: www.sacballet.org

Issue 132 • March 18 – April 1, 2013

3


132

12 14

24

2013

04 07 08

Melissa Welliver melissa@submergemag.com cofounder/ Advertising Director

Jonathan Carabba jonathan@submergemag.com senior editor

James Barone

12 14 18 24

916.441.3803 info@submergemag.com

printed on recycled paper

Wesley Davis, Mike Ibe, Lovelle Harris, Nicholas Wray

www.submergemag.com Follow us on Twitter! @SubmergeMag

front Cover Photo of tel cairo by jesse vasquez

Issue 132 • March 18 – April 1, 2013

Submerge your senses

11

2308 J Street, Suite F Sacramento, Calif. 95816

Contributing photographers

The Stream

the grindhouse

Submerge

Contributing Writers

Zach Ahern, Joe Atkins, Robin Bacior, Natalie Basurto, Andrew Bell, Corey Bloom, Emily Bonsignore, Bocephus Chigger, Josh Fernandez, Anthony Giannotti, Vincent Girimonte, Nur Kausar, John Phillips, Ryan J. Prado, Steph Rodriguez, Adam Saake, Amy Serna, Jenn Walker, Holly Woodcock

Dive in

The Optimistic Pessimist

30

cofounder/ Editor in Chief/Art Director

March 18 – april1

10

27 28

28 4

contents

Submerge: an independently owned entertainment/lifestyle publication available for free biweekly throughout the greater Sacramento area.

burt wonderstone blvd park tel cairo calendar sacramento fashion week Tongue and chic

bento box sammy Obeid the shallow end

All content is property of Submerge and may not be reproduced without permission. Submerge is both owned and published by Submerge Media. All opinions expressed throughout Submerge are those of the author and do not necessarily mean we all share those opinions. Feel free to take a copy or two for free, but please don’t remove our papers or throw them away. Submerge welcomes letters of all kinds, whether they are full of love or hate. We want to know what is on your mind, so feel free to contact us via snail mail at 2308 J Street, Suite F Sacramento, Calif. 95816. Or you can e-mail us at info@submergemag.com.

back Cover Photo by Kondrya photography

dive in Spring = Reading + Rays! Melissa welliver melissa@submergemag.com I don’t know about you, but this sunny spring weather just makes me want to read! Yeah, I said it, read! Sure, it also makes me want to go do typical outdoors-y things like take long walks, go on bike rides or play softball, but allin-all there’s nothing I enjoy more than kicking back in my Tommy Bahama backpack chair (Costco, baby) while reading magazines and newspapers, soaking up those rays after a long, cold winter. For the past few years my reading choices have tended to be more on the shorter side because I’m such a busy bee. Thus, something like Submerge (shameless self plug) is great to have around for those who are looking for a short story here and there. I believe our article lengths are perfect for the busy reader/multitasker. Read a feature, set it down to do some chores (i.e.: dishes, laundry, walking the dog), then come back to it and read some more. That being said, there are a few features in this issue that I know you’ll enjoy way more than doing chores. The first I’d like to tell you about is our feature on Tel Cairo, who are on our front cover. These lifelong friends and musicians are coming out with their first album Voice of Reason. This is undoubtedly one of my stand-out albums of the year so far due in great part to the vast amount of guest spots on the album from some of Sacramento’s best MCs and singers. In our Q&A, you can really get a sense of the camaraderie between Tel Cairo members 7evin and Cameron Others and how working together made for such an outstanding record. We also have a sidebar that features quotes from four of the album’s guest vocalists. You can start reading this feature by flipping to page 14. Our second music feature in this issue is on Blvd Park, who like a few other highly admired Sacramento bands (*tear, Two Sheds) took the leap to another city in hopes of being inspired and letting their creativity flourish. At last, Blvd Park will be returning to Sacramento to play Shady Lady on March 24. This will be their first time playing in Sacramento since the release of their latest album, The Sound, which came out in February 2012. Turn to page 12 to read more about what the band has been up to since the move. On page 28 you’ll find our feature with comedian Sammy Obeid. When I heard about how he is trying to do 1,000 consecutive days of comedy, I was taken back and thought this guy has got to be funny (if not a little crazy). I can’t remember any time I’ve done something out of the ordinary for more than 40 days, let alone 1,000. Be sure to read more about this comedic workhorse, what exact day he was on at the time of doing our interview (hint, he’s slightly more than 80 percent of the way toward completing his goal), and lastly go see him at Sacramento State on April 4 or when he headlines Punch Line on April 7. Sacramento Fashion Week has once again come and gone. It’s one of the few noteworthy fashion events that happens in Sacramento on a regular basis. This year our “Capital Capture” columnist Emily Bonsignore was lucky enough to attend and report back on some of her favorite looks. On our back cover you’ll notice a model wearing a jumpsuit, which was created by Misha Bahati. For more shots check out pages 24 and 25 to see outfits that strutted the runway for Friday and Saturday’s Designer Showcases. After hearing about these features, its understandable if you put off those chores or responsibilities. Save those for a rainy day. Forecast says rain on Wednesday, March 20. Pfff! Luckily after that there’s more sunny 70s for your outdoor reading pleasure! Enjoy issue #132, Melissa-Dubs

Dive Into Sacramento & Its Surrounding Areas


614 Sutter Street • FolSom 916.355.8586 • PowerhouSePub.com every moNDay at 9Pm

EvEry TuEsday, 10:30Pm, No cover!

College Night

Country Karaoke weD, mar 20 8Pm /$5 98 rockS local lickS Night with hoSt aNDy hawk

weD, weD,SePt mar 27 26 8Pm 8Pm /$5 /$5

thurS, mar 21 9:30Pm

98 rockS local lickS Night with hoSt aNDy hawk

the QuiNN heDgeS baND

9:30Pm NortherN heat

weD, aPr 3 8Pm /$5 98 rockS local lickS Night with hoSt aNDy hawk

thurS, aPr 4 9:30Pm

JohN corbett

From Sex & the city

Fri, mar 29

Fri, aPr 5

saT, mar 23

saT, mar 30

6Pm saT, bearD & aPr 6 muStache comP

10Pm

10Pm

aND the emblemS

FolSom PriSm

Fri, mar 22 10Pm

toDD morgaN

thurS, mar 28

w/ DJ rigatoNy & DJ alazzawi

SuN, mar 24

DeNNiS JoNeS 3Pm

3Pm

7Pm oPeN blueS Jam 7Pm

braDeN Scott baND blue oakS aNcieNt aStroNaut

10Pm

10Pm

SuN, mar 31

cloSeD For eaSter

iSlaND oF black aND white muSical chariS autumN Sky

10Pm

aPPle z 10Pm

SuN, aPr 7

tribe of the reD horSe 3Pm oPeN blueS Jam 7Pm

SACRAMENTO's PREMIER bANd REHEARSAL FACILITIES

ACOuSTICALLy DESIGnED Private Music Rehearsal Studios From

150 Square Feet To 500 Square Feet

• Long Term Or Monthly Rentals • Air Conditioned

• 12 Foot Ceilings • 24 Hour Access • On Site Management

SACRAMENTO REHERSAL STudIOS

• Cctv Security System • Free Wi-Fi / Dsl • Huge Gated Parking Lot

HOuSE OF HITS

2751 Academy Way • Sac (916) 923-2525

5749 88th Street • Sac (916) 381-4500 Rehearse.com LIKE us on Facebook

SubmergeMag.com

Issue 132 • March 18 – April 1, 2013

5


AUDIO EXPRESS! Lowest Installed Price In Town! Every Time!

Fully installed new product from a local authorized dealer

Built-In Navigation! Big, Bright 6.1” Touchscreen Monitor SMART PHONE VOICE CONTROL!

LUI SAYS

DVD/CD receiver features A2DP music streaming, dual rear USB inputs, and three 5-volt preouts

$50 Rebate When You Add

899

Tuner

$

To This Unit!* BUILT IN

Same Features, 7” Monitor — $119999

BUILT IN

Built-In Navigation!

FAMOUS MAKER!

When You Add

To This Unit!*

Touchscreen control, three 5-volt preouts.

Our Lowest Price Ever!

44999

$

BUILT IN

6.1” Image! Touchscreen. Advanced App Mode.

349

$

Regular Retail!

99

189

LUI SAYS BUILT IN

99

Three 4-volt Preouts On Both Decks!

Priced From

When You Add

A Big Step Up!

* Purchase SiriusXM tuner, activate a qualifying service plan and be eligible for a $50 prepaid card. Tuner install additional. Details at siriusxmewards.com.

239

$

99

6

Ethan Way

Point West Plaza

Arden Way

Issue 132 • March 18 – April 1, 2013

27999

$

• TIGHTER MID-BASS • ELIMINATE VIBRATION • LOCK OUT HEAT AND ROAD NOISE

BUILT IN

*

Sacramento 2003 Arden Way 916-920-4262

From

Five-Channel Amps! Power A Full System!

It Loves Your SmartPhone!

$

Tuner

What Size Do You Need?

HEAR ALL THE MUSIC!

9999

$

Reference Or Kappa Series Speakers! Pairs

SAME FEATURES, 7” MONITOR — $44999

On Thes Excelon Decks!

To Either Of These Decks!*

8999

$

20% Off

Ready For Navigation!

2-Year y Warrant e

$50 Rebate

10”, 12”, 15” From:

10” Single Enclosure From $3999

Tuner

6.2” Monitor!

* Compared to earlier models

112 IS D PLAY COLORS

$50 Rebate

BUILT IN

HANDLE DOUBLE THE POWER!*

99

Your Music! Non-Stop!

LUI SAYS

40th Anniversary CompS Subs!

GET YOUR DREAM SYSTEM TODAY!

PPP Means 50% Off Installation!

HOURS Mon. - Sat. 9 AM - 7 PM Sunday Noon - 5 PM

FREE LAYAWAY

* Proof of qualifying employment and local banking history required. Transaction amount limited. Other conditions and restrictions apply. Details at store.

Unless otherwise limited, prices are good through Tuesday following publication date. $1 INSTALLATION IS PER COMPONENT, for CD players and alarms priced over $9999, purchased from Audio Express installed in factory-ready locations. PPP indicates product installed at half off our posted rates. Custom work at added cost. Kits, antennas and cables additional. Added charges for shop supplies and environmental disposal where mandated. Illustrations similar. Video pictures may be simulated. Not responsible for typographic errors. M.S.R.P. refers to published suggested retail price. Price match applies to new, non-promotional items from authorized sellers; excludes “shopping cart” or other hidden specials. © 2013, Audio Express.

Dive Into Sacramento & Its Surrounding Areas Audio Express — Sacramento Submerge — 3/18/2013


The stream NEW VENUE “ASSEMBLY” OPENING ON K STREET DUBSTEP/GLITCH/BASS NIGHT “HEADS ON HIGH” LAUNCHES AT SHENANIGANS ALBUM RELEASE SEASON IS STARTING TO HEAT UP FOR REGIONAL BANDS Paragary Restaurant Group is branching out into the theater and live music business with the opening of a new mixed-use venue called Assembly, located at 1000 K Street in downtown Sacramento. Taking over Cosmopolitan Cabaret’s former space, Assembly will showcase local, regional and national touring talent. The 9,000 squarefoot space features a massive stage, an open floor on the main level, a full bar and tiered seating. It’s a very versatile space. Capacity is 500 for general admission, 240 seated. This sort of fills a void between local clubs like Harlow’s (which is around 400 capacity) and Ace of Spades (around 900 capacity), both of which have been killing it lately, if I might add. In a press release provided to Submerge by Assembly, Randy Paragary was quoted saying, “What makes this space so unique is the variety of talent we will feature including live bands, improv comedy, celebrity DJs and much more.” An on-going feature at Assembly will be B Street Live!, a sketch comedy act presented by B Street Theatre that will change monthly based on trends and current events in pop culture. The shows will run Wednesday through Sunday from 7:30 to 8:15 p.m., allowing the venue to also host live music and other entertainment later in the evening. Paragary has brought bar and nightclub scene staples Trevor Shults and Bob Simpson onboard to operate and market the venue as well as Scott Brill-Lehn of SBL Entertainment to book talent. The space is also available to other promoters and event organizers based on availability, like on April 19 when Conscious Vibes is bringing vocalist, pianist and composer N’dambi to Assembly. The grand opening party for Assembly is scheduled for Friday, March 22 and will feature free admission and live music from one of the area’s top cover bands, Pop Fiction. Local soul singer James Cavern is having his EP Release party there on March 29, K Flay is touring through on March 30, Roger Clyne and The Peacemakers will play on April 2, and that’s just a few of Assembly’s announced shows. Keep an eye out at Facebook.com/AssemblySacramento for more information.

Jonathan Carabba Send regional news tips to info@submergemag.com

A new monthly dubstep/glitch/bass night called Heads on High is launching on Friday, April 5 at Shenanigans (705 J Street). This 21-and-over dance club will be held the first Friday of every month inside the venue’s downstairs space, a dark and grimy spot, just perfect for getting weird on the dance floors until 4 a.m., as the event organizers have obtained after hours permits from the city. Expect to see live art, lasers, lights and fog. The venue has lounge areas as well, and they don’t charge you to chill in them like some bottle service spots do. The kickoff party on April 5 will feature sounds by JDUBZ, Vik Rokit, Isturite, IMF.DRED and DJ Whores. It’s just $5 before midnight and $10 after. Keep an eye out at Facebook. com/HeadOnHighProductions for time slots, guest DJs and other upcoming parties.

If there is one trend we’ve noticed about the local music scene from running Submerge for five years, it’s that not a lot of local bands release new work in the winter months. Sure there are exceptions here and there, but for one reason or another it’s mostly a fairweather thing. That’s why we’re stoked that spring and summer are knocking at the door, because that is when we get to hear all that good stuff that our immense pool of local talent has been working on. Here are just a few notable regional bands that have new music coming out in the next month or so. If you’ve got something to add to this list, shoot me an email to jonathan@submergemag.com and get it on my radar. James Cavern’s The Pilot EP comes out on March 29, and you can see him at the brand new aforementioned venue Assembly on that same night; Keep It from the Cops, a folk-punk project from local musician Zac Rosier, has an EP release show on April 5 at Midtown Village Café; Sister Crayon, who technically live in Oakland now, but still remain a local band in our hearts, has a new EP called Cynic that comes out April 16 on Fake Four Inc.; also on April 16, X’ed Out by Tera Melos will be available via Sargent House; and finally, local “Ramones-inspired horror-punk” trio The Moans have a new 15-track album, they will celebrate at their release party on April 17 at Where House.

Support Submerge advertisers! This publication would not be possible without the support of our wonderful advertisers. Please visit them and tell ‘em Submerge sent you.

SubmergeMag.com

Issue 132 • March 18 – April 1, 2013

7


TASTE

Your Senses SEE HEAR TASTE Touch

Festa di Vino at Scottish Rite Masonic Center

HEAR

The StereoFidelics at Torch Club • March 27 Rock duos are so hot right now! Think about the popularity of bands like The White Stripes, Black Keys, Matt & Kim, Japandroids and Death from Above 1979, to name a few. There is something about the simplicity of just two people on stage, turned up loud and bringing the ruckus, that draws an audience in. The StereoFidelics might be the next addition to the list of popular duos. The funky indie-rock band from Asheville, N.C., made up of Chris Padgett (electric guitar, foot-controlled bass synth, vocals) and Melissa McGinley (drums, vocals, electric violin) has received praise from countless media outlets for their energetic and unique live shows as well as their DIY, road-warrior work ethic, performing 200-plus shows a year around the country. Now on tour in support of their new album Dynamite Fist, The StereoFidelics are coming to Sacramento to play the Torch Club on Wednesday, March 27. They hit the stage at 9 p.m., the cover charge is just $5 and it is 21-and-over only. How often do you get to see a ripping guitarist play synth keys simultaneously with his feet next to a super cute female drummer with a great voice? Answer: not very often, so don’t miss this show! Visit Stereof.com for more information and to hear some tunes. Torch Club is located at 904 15th Street in downtown Sacramento.

SEE

River Cats Opening Night at Raley Field April 4

Can you feel it? The excitement is in the air. It’s baseball season! Grab your hat and glove and head to Raley Field on Thursday, April 4 to see your River Cats open their 2013 season against the Las Vegas 51s. The smell of fresh-cut grass should be even more potent this year at the ballpark, as Raley crews worked for 16 days in the offseason on the playing surface, marking the first time the entire field has been replaced since the year 2000. The River Cats have won the last six Pacific South Division titles and have won 11 division titles in their 13 years of existence. Talk about a good track record! First pitch for the home opener on April 4 is at 7:05 p.m., and tickets start at just $8 to sit in the “Toyota Homerun Hill.” Bring blankets or chairs and it’s comfy enough, trust us. It also happens to be “Thirsty Thursday” that night, where all 12-ounce Miller and Miller Lites are just $2, so there’s that, too. Visit Rivercats.com for more information and to purchase tickets online.

8

Issue 132 • March 18 – April 1, 2013

April 6

Make sure you’ve got an empty stomach and clean palate on Saturday, April 6, because you’re going to need it at the Festa di Vino, going down at the Scottish Rite Masonic Center (6151 H Street) from 6:30 to 10 p.m. Taste wine and food from some of the area’s best wineries and restaurants while enjoying live music from Mind X. Just some of the wineries involved are Bogle, C.G. Di Arie, Michael-David Phillips Vineyard, Sierra Vista Vineyard and more than a dozen others. Participating restaurants include Enotria, Blackbird, Café Vinoteca, Il Forno Classico, Iron Steak and many others. If you get a sweet tooth, you’ll be satisfied by offerings from Cupcake Cravings, Divine Gelateria and Frosting Queens. If you find yourself needing a jolt after all that vino and food, fear not, Peet’s Coffee and Peerless Coffee will both be on hand for your caffeine kicks. Tickets to Festa di Vino are $45, but before you start complaining about how expensive it is, keep in mind this is a charity event raising money for Sierra Forever Families, a Northern California non-profit whose mission is to transform the lives of children in foster care by building and nurturing permanent families. To learn more about the event and to purchase tickets online, visit Festadivino.com and to learn more about Sierra Forever Families, visit Sierraff.org.

TOUCH

Warm Weather Gear From Local Brand Be Eternal Clothing A couple months back, some girls repping the newly launched local clothing brand Be Eternal unexpectedly stopped into Submerge HQ and hooked us up with a couple T-shirts and some info about their launch party (which went down on Jan. 31 at District 30). We were immediately drawn to the laidback, California-inspired designs and especially by the quality of the garments. With T-shirt weather here (don’t you dare, April showers!), we’re stoked to support this new local brand. According to their website, Beeternalbrand. com, their mission is “to inspire creative self-expression through our exposure to all art forms through the delivery of premium quality and authentic fashion products.” Their spring line, which features both men’s and women’s products, can be viewed and purchased online. Hit up their website and click “shop” in the upper right hand corner.

Dive Into Sacramento & Its Surrounding Areas


$57 Lift ticket for coLLege StudentS*

*March 18-22, 25-29, April 1-5. Must present valid college photo ID & payment. Submerge magazine Feb 27.indd SubmergeMag.com

1

Issue 132 • March 18 – April 1, 2013

9

2/22/13 6:51 AM


Last Cut wasn’t so super? Get it fixed at anthony’s barbershop

The Optimistic Pessimist Moving Bocephus Chigger bocephus@submergemag.com

2408 21st st • Sac • sacramentobarbershop.com (916) 457-1120 • Tues-Fri 9am-6pm • saT 10am-4pm

sunday

sunday

tuesday

apr 2

mar mar 31 hip hoppiNg 24 easter show self proClaimed 8pm No Cover! sigN up for PinE covE viP club & reCeive perks aNd speCial disCouNts text the word “piNeCove” to 55678

9:30pm No Cover!

Battle theof musiCiaNs opeN miC

with Bp &

praduh,No Cover!8pm a. JoNez

the CaJuN wagoN serviNg food at 7pm

Wednesdays

trivia hour 9pm No Cover!

th &E St sac (916) 446-3624 29 Facebook.com/PinecoveTavern • TwiTTer - @PinecoveTavern

1815 19th st. sacramento

OPEN TUES-SAT 11-11 • SUN 11-3

bowscollective.com tues mar 19 (8pm) LIVE MUSIC Cove, Lo Hums, Gabe Mintz

wed mar 20 (8pm) LIVE MUSIC

Blue Sky Black Death, Child Actor, Knox 3 the Hard Way, Nick Bianco

thur mar 21 (6pm) LIVE FIgUrE DrawIng Pompsicle

10

SAT MAR 23 (8pm) LIVE MUSIC KDVS PreSeNtS

Genius, Sean Nicholas Savage, Agor, Doldrums

tues mar 26 (8pm) LIVE MUSIC the Lurk, Grex, Chris Peck

wed mar 27 (8pm) LIVE MUSIC Ghost to Falco, Christine Shields, Dead Western

SAT MAR 30 (8pm) LIVE MUSIC

Widowspeak, SISU, Sneeze Attack, Yea-Ming

sat apr 6 (8pm) LIVE MUSIC

DJ rock Bottom

tues apr 9 (8pm) LIVE MUSIC

Ava Mendoza’s Unnatural Ways, Gentleman Surfer, Nick Millevoi

TaroT Show apr 5-may 2

FeAtUrING tHe WorK oF 78 ArtIStS

reception:

fri apr 5 • 6-9pm

There comes a point in every person’s life when they just have to go. Be it college, a job change or that your parents booted you the day after your 18th birthday, we’ve all got to move sometime. Moving to a new place is a big change that requires big adjustments, but change can be good. Of course, before you can enjoy the change of scenery you’ve got to get there first. Finding a new place is a nightmare. I don’t own a home, so my experience is restricted to renting, but I doubt buying a house is any easier. Craigslist makes house hunting better than it used to be, but even they are at the mercy of those posting the ads. Whether it’s old or poor quality pictures, unclear terms, funky restrictions or lack of price, many posters try their hardest not to rent you their house. It may not seem like it at first, but eventually you will find a place, and that’s when the real “fun” begins. The first leg of your new journey is called packing, and the name of the game is boxes. Now, you can buy boxes, but that shit is crazy expensive for something you won’t need in a week. No need to do that when every store, restaurant and office you see receives and discards boxes on a daily basis. You’ve just got to go out there and get you some of that brown gold! You might even find yourself dumpster diving shoulder-to-shoulder with professional hobos hoping to find something decent before the box crusher renders them useless. By the time you finish packing, you will be a box master. Unfortunately, when it comes time to actually move, your boxing know-how will be of no help when you find yourself staring at an overstuffed couch stuck in your front doorway. It probably won’t be the last time you are left wondering how in the hell you got a piece of furniture into your house in the first place. In all the hubbub of the move, you will likely break your favorite things, lose important things and find things you never knew you had and have no use for in the present (hello, fifth grade report card!). You will hurt your back, smash your fingers and leave yourself covered

in bruises and tiny cuts. You will hit your head on the trunk of your car at least twice. The further you move, the worse shape you and your belongings will be in when you get there. Just when you get all of your stuff in the new place and you are ready to collapse, you will have to go back and clean your old house. You need to do a good job, because cash is on the line. By the time you finish, you will swear to yourself that you will clean the oven and fridge more often at your new place, but hopefully your old digs look as good as possible. A good return on your deposit may provide a much needed monetary cushion, but the utility companies will soon do their best to help lighten your load. If you move within the same town it might not be so bad, but switching cities is a nightmare. Prepare yourself for $50 install fees for such difficult tasks as pushing a button, flipping a switch or screwing in a cable. If they don’t drain your wallet, they will drain your patience. Good luck getting your Internet set up if your choices are AT&T and Comcast. The two companies almost have a third of a brain between them. AT&T is willing to spend a week installing boxes and running cables only to tell you that the wiring in your house (which had presumably worked for the person living there two months ago) needs to be replaced at your expense. Comcast will get you all set up only to accidentally cancel your account the next day. Moving won’t be dry hands, band aids, prescription meds, Internet deprivation and Top Ramen forever. Eventually, everything will work out, and you will get settled in. You don’t always get to choose why or where you move, but you do get to choose what happens once you get there. Moving is a chance to reinvent yourself…to escape those ruts you’ve been stuck in for years. You’ve just done something that was exciting, depressing, exhilarating, exhausting, well planned and chaotic, all at the same time. If that doesn’t shake you out of your haze, then more (or less) medication may be the answer.

$5 or LESS SaLE BoWS, rACKS, CUFFS APr 20 11AM-4PM

Issue 132 • March 18 – April 1, 2013

Dive Into Sacramento & Its Surrounding Areas


The grindhouse Slight of Hand screenwriter John Francis Daley also has his hand in this film, and while the latter was considerably more interesting, Burt Wonderstone, should strike a chord with anyone who grew up watching David Copperfield specials on television. (Copperfield even makes a cameo.) There are some moments that plod on, such as when Burt comes to the realization that he’s been a complete tool to everyone who’s ever cared about him. It’s a slow road to recovery for the former top magician, punctuated by cheesily scored montages. Though just 100 minutes, it was enough to make The Incredible Burt Wonderstone feel much, much longer. There are some great comedic moments along the way, though, including some hilarious sight gags. There’s also a great cast at work here, doing their best to make these utterly ridiculous characters feel like real people. Carell really douches it up for this role, and does so convincingly. He still imbues his character with enough likeability, though, that you actually hope he’s able to turn it around. Gray is the perfect role for Carrey—big, bizarre and cartoonish, which are all in the veteran comedian’s wheelhouse. Though Gray really only serves as the foil to Burt and Anton’s glitzy and glamorous brand of magic, Carrey does shine in limited screen time. Buscemi is great as the likable putz; and Olivia Wilde more than holds her own among a trio of heavy hitters, flashing a great deadpan delivery and sharp comedic timing as Burt and Anton’s assistant Jane. Alan Arkin wonderfully rounds out the main players as the old, retired magician who inspires Burt to get back on his feet. The Incredible Burt Wonderstone doesn’t have many tricks up its sleeve. It’s not going to dazzle you with smoke and mirrors. It’ll probably just make you chuckle a bit, which might not exactly be magic, but it’s definitely not a bad thing either.

The Incredible Burt Wonderstone Rated PG-13

Words James Barone As far as entertainers go, magicians are simultaneously the most schmaltzy and aweinspiring. In Las Vegas, where everything is more grandiose, the schmaltz and awe become even more magnified. This is the world of Burt Wonderstone, a mostly bare-chested purveyor of illusions. The Incredible Burt Wonderstone chronicles his rise and fall, and though there are some ho-hum moments, the film has enough bright spots that trick you into believing that what you’re watching is pretty good. Wonderstone (Steve Carell) is a bullied child with an inattentive mother. He finds a friend in magic, Anton Marvelton (Steve Buscemi), another young boy ostracized from his peers, and the two strike up a lifelong partnership that blossoms into a lucrative career performing magic in their own theater at Bally’s in Sin City. Burt and Anton’s “magical friendship” is having problems, though. Some 30 years after they first met, their show is beginning to unravel. Burt has become an insufferable egomaniac, overindulging in alcohol and women. These preexisting problems are exacerbated when a new breed of magician, Steve Gray (Jim Carrey), bursts onto the scene. Gray is a parody of David Blaine and Chris Angel. He’s a street magician with a bad boy image whose tricks are more self-mutilation than magic. With Gray’s fame and momentum building, Anton devises a stunt that will update his and Burt’s image, but when that goes horribly awry, the two go their separate ways, and Burt eventually loses everything. The Incredible Burt Wonderstone follows the typical pattern of rise, fall and redemption. It’s a story so familiar that you need only to be barely conscious to follow along. Horrible Boss’s

SubmergeMag.com

Issue 132 • March 18 – April 1, 2013

11


All for One

Blvd Park Flourishes in Seattle, but Doesn’t Forget Where they Came From Words James Barone • photo Morgan Chosnyk

al

Kids’ Zone 20+ Craft Brewers 10+ Chefs Bike Valet Doggies Welcome

u 2 Ann nd

Save $5! Pre-sale ticKets:

Freemont Park 1515 Q Street

April 6 , 2013

* beer only $20 * chili only $20 * full access $35

th

1-5pm Rain or Shine

Get tickets & info on how to enter the chilli cookoff at

s a c r a m e n t o b e e r a n d c h i l l i f e s t i va l . c o m fundraiser for the sacramento artists council, inc.

12

Issue 132 • March 18 – April 1, 2013

ERE YOUR H AD Call Us (916) 441-3803 or email Us info@submergemag.com Today! Dive Into Sacramento & Its Surrounding Areas


D

istance can give you perspective. Brian Ballentine grew up in Citrus Heights and entrenched himself as a fixture in the Sacramento music scene, but a couple years ago, he felt the need to move his music elsewhere. Ballentine and many of the members of his band, Blvd Park, took the drive north on Interstate 5 and settled in Seattle. New scenery can work wonders for a creative person, and Ballentine is no exception. “We were in Sacramento doing the music scene there for a while,” he says. “I always liked going out and exploring new areas and stuff. We all needed an uplift, a change in direction. We’d all been doing it in Sacramento for so long, we wanted a change of scenery and to try out a big city. We all like it here a lot.” He says he even enjoys the sometimesgloomy climate, even if the novelty is starting to wear off. “I enjoyed it—the grayness, the cloudiness, everything staying green out here,” Ballentine explains. “I still really enjoy it, but I can see that after a long time, it can catch up to you. But right now, it’s really sunny here and just being around all the green trees. It’s a big change. I grew up in Citrus Heights, in the Sacramento area, and everything there is just flat. There are hills here, and I don’t know every little corner. That’s great.” Since the move, Blvd Park has grown and changed. The band has taken on a few new members since its relocation. Most recently, Mike Mastin joined Blvd Park as a snare player. “We were always looking for a snare player, but nothing ever works out,” Ballentine said. “But he [Mastin] is working out really well. We have him and another one who can fill in if he’s not available.” Though original band member Tekla Waterfield has played tambourine (in addition to vocals and guitar) in the group, Mastin added a stockier beat to Blvd Park’s brand of alternative folk, and more specifically, Ballentine’s own playing.

Heist events

“We wanted to jam with a drummer, because sometimes I get off beat,” Ballentine admits. “I do my own pattern. When I have a snare player, I can follow that with my head. Tekla added a lot to the group with her tambourine, but this is just another beat that adds a little more excitement, I guess.” Banjo player Banton Foster also joined Blvd Park after their move to the Pacific Northwest. Foster caught Ballentine’s ear at a play. “[Foster] was playing banjo with this girl,” Ballentine says. “I asked him when he was done, ‘Do you want to get together and play banjo? Be a cowboy and fool around and stuff?’ and he said, ‘Yeah, that sounds cool.’ I tricked him into it.” Mandolin player Dune Butler originally filled in as a touring upright bassist for regular Jarret Mason. The band liked Butler so much, they asked him to kick up his feet and stay a while. Ballentine reports that in addition to other musicians who are available to fill in from time to time, Blvd Park also recently brought on a fiddle player, making the group an eight-piece. He says that the band functions well anywhere from six to eight members, but for Blvd Park’s upcoming Sacramento show at Shady Lady Saloon, fans should expect the full complement of players. In February 2012, Blvd Park released their self-released second album, The Sound, which was recorded at the Columbia City Theater in Seattle. Built in 1917, it’s the oldest vaudeville theater in Washington state—a fitting place for Blvd Park’s bold and quirky sound. On the band’s Facebook page, they list their influences simply as “abundant,” and even a cursory listen to The Sound will reveal that to be the case. If nothing else, The Sound is consistent in its variety, and you can hear it right off the bat. The album opens with a country-style dirge, the mournful “Tearing Us Apart,” but shift gears entirely on the following track, the bouncy, gypsy-tinged rocker “That FN Thing,” sung by Waterfield.

wedNesday, apr 3

of the waNd aNd the mooN, a story of rats, e s s midtowN Barfly / 8pm / $8 advaNCe & door / 18+

energetic live show, and for a cover charge of just $5, you’ll have extra cash in your wallet for a few swanky cocktails. Dust off that zoot suit and get your ass on the dance floor. For more info, go to Shadyladybar.com.

kiNg dude,

trails aNd ways,

tBd Bows & arrows / 8pm / $5 advaNCe / $8 door / all ages

aNgel olseN (BathetiC),

wedNesday, apr 24

villages (BathetiC) , olla Bows & arrows / 8pm / $7 advaNCe / $10 door / all ages

friday, may 13

midi matilda, survival guide, adam jay, oaNa midtowN Barfly / 8pm / $7 advaNCe / $10 door / 18+

SubmergeMag.com

Blvd Park will make their first Sacramento appearance in a while when they play Shady Lady Saloon on March 24. “We’d like to come up there more, but we lost our van a while back,” Ballentine says of returning for a Sacramento gig. “You can’t rent a van and go on tour. You can’t make money. We haven’t had a vehicle in a while, but we have this van, and we hope it’s going to make it.” The flyer for the show suggests that attendees should “dress fun.” Don’t let this simple suggestion put any undue pressure on you, though. “We like wearing our three-piece suits and dressing up. We think it’d be fun to have people dress up and go out on the town and just have fun,” Ballentine clarifies. “Let the weirdness roll.” Ballentine and company have made a home for themselves in Seattle. He says that he has few familial ties left to Northern Calfornia, with just a grandfather living in the Bay Area. Still, though he’s flourishing in the Northwest he hasn’t forgotten where he’s come from. His songwriting continues to look toward California for inspiration. “It’s weird, because I think about California and my friends. I got little pictures in my brain of California constantly going off,” he says. “It’s cool, because I think about it from here, and it’s easier for me to write Hopefully Blvd Park’s van holds up long enough to get them to about my Shady Lady Saloon on March 24. home area.” You won’t want to miss the band’s

Natural Child (Burger reCords),

the goldeN ghosts, Cool ghouls Bows & arrows / 8pm / $6 advaNCe / $8 door / all ages

saturday, may 14

A reason for this could be that the job of songwriting doesn’t fall strictly to Ballentine. “I want to be in a band where everyone sings,” he says. “I hate being the front dude all the time. I like to stand back too. I encourage everyone to write and add to the band.” Ballentine and Waterfield have also started hosting an open mic at the Columbia City Theater, possibly opening the door for even more collaborators. “I’m meeting a lot of good people up there,” Ballentine says. “It gives me a chance to see a lot of good songwriters that I normally wouldn’t.” Will Blvd Park expand its membership further? Time will tell, but for now Ballentine is happy to report that he and the rest of the band are writing songs for a new Blvd Park album. “Right now, I’m just writing the songs and getting ready to present it,” he says. “I’m going to go into the studio and lay down all my stuff first and have everyone listen to the new stuff and form the songs that way.” At this stage, he says it’s difficult to see what direction the new material may be heading in. “It might be interesting,” Ballentine says. “I don’t know what to expect right now. I’m writing my same kind of style, I think, and everyone else has their own songs too. It might have a fuller sound, even though our last album was fuller, but I don’t know how this album is going to turn out. It could be magic or… something else.” The uncertainty isn’t something he’s worried about, however. “It’s exciting. I think you have to just go for it. That’s the way I think things get done.”

all tiCkets availaBle @ heisteveNts.tiCketleap.Com

thursday, mar 28

friday, apr 19

“I want to be in a band where everyone sings. I hate being the front dude all the time. I like to stand back too. I encourage everyone to write and add to the band.” – Brian Ballentine, Blvd Park

kisses,

week of woNders,

(feat. memBers of the iNtelligeNCe, orCa team, aNd the torN aCls)

pure Bliss (oak) , dog party Bows & arrows / 8pm / $5 advaNCe / $8 door / all ages

Issue 132 • March 18 – April 1, 2013

13


15 years, 11 tracks, 11 vocalists, 2 bandmates: Tel Cairo Words Joe Atkins • photo jesse vasquez

Beauty and the

Beast

14

F

or the last 15 years Cameron Others and 7evin have been working on their material, laying out beats, loops, archaic recordings of bedroom beatbox compilations and reworking that material into new orchestrations. In the last two years it’s all come together, and now, as Tel Cairo, Cameron and 7evin are set to release their debut full length, Voice of Reason. The album itself has been part of the long process of self-discovery for these two electronic musicians. Their sound, their relationship to composition, their knowledge of technique and technology have increased with each singular endeavor, and the result is a precision track listing of rattling low-end bass and twinkling highend melodies. And I’ve yet to mention what, for me, is the most impressive part of the album: its list of local MCs and vocalists who dominate the lyric and lead portions on the majority of the project. It’s a list of past, present and future Sacramento stars, artists whom have been working the scene for the last two decades trying to lift the city up with their own talents and careers. There are individual appearances from Aurora Love, “This Is Not”; Agustus thElephant, “Music Box”; and Mic

Issue 132 • March 18 – April 1, 2013

Jordan, “Electro Knock.” On “Twelve Paths Toward Movement,” Sister Crayon frontwoman, Terra Lopez appears alongside hip-hop local TAIS; Mahtie Bush spits verse after verse on the track “Illicit” and the unknown, yet powerful, Stephanie Barber holds down the hook. Lest we find ourselves stuck in the lady sings the hook cliché, Paper Pistols new lead, Juliana Lydell sings the verses to the high pitched chorus of Caleb Heinze, from Ape Machine and Confederate Whiskey; and Task1ne, Voltron reference and all, flows over the verses of “Evening Push,” before local legend Jonah Matranga gives his signature falsetto to the hook. It’s a list that’s both diverse and impressive, and it makes for an album that highlights the many dynamic qualities of music in Sacramento. Breaking from some highly competitive Wii, 7evin and Cameron sat down with Submerge, and we talked about Sacramento, influences, genre, processes of songwriting and recording, skateboarding, musicianship, Ira Skinner’s beard and the talented slew of lyricists they worked with on the album. In addition, Submerge exchanged a few emails with the lyricists, and, likewise, we share their thoughts on working with Tel Cairo. Dive Into Sacramento & Its Surrounding Areas


What brought you to Sacramento? What are the best and worst parts about this city? 7evin: I moved here about eight years ago to work with Ira Skinner, a good longtime friend. Sacramento has an amazing group of musically talented individuals. We like what’s going on here. The cost of living is amazing; you don’t have to feel so pressured. The bad part is that there is almost no monetary value for art here. Can you describe your songwriting process? 7evin: A lot of times we start off with analog, a guitar, drumset, bass. We get in there and start doing electronics. We don’t do samples. We do our own tones and MIDI controlling. There’s always one part, and we shoot it to the next person until he can’t work on it anymore, and he shoots it back. We’ll meet once a week and we’ll work on that song. We made 32 tracks for this album and 11 made the cut. What sort of influence did Ira Skinner have, working with him as a producer? Cameron: Ira let us figure out who we were. He took all the things we’d been layering for so long, and we’d forgotten what we started out with, and made them sound amazing. Some of these things were already done. We’d put so much into it. We needed to step away a little bit. 7evin: He is so chill in the studio. He let us fumble around to find a niche, and the second he hears something that’s good, he’s like “Wait, go back! Let’s do that.” We have the first word, bounce it off to someone in collaboration; we get the second word, and Ira comes in; and we get the final word. Cameron: In between there was also a lot of growth and learning on our side, with the programs. Of the two of you, who’s the biggest perfectionist? 7evin: We’re never happy with it. Art is never done. We just move onto another song. Cameron: We look at things a little differently. I’ll hear things differently that he might not hear. Technically, I think he’s the perfectionist, making sure everything is lined up. I’ve tried to watch, and I’ll fall asleep for a little bit. 7evin: We tag team it, recording. I’m 20 percent deaf in my left ear. I don’t hear high end, I hear mid-tone and bass. You can see that and feel that live. [Cameron will] come in and stick this melody here. He brings the beauty to my dirtiness. I’m a gutter-punk; this guy comes in, and he’s playing 12-string guitar. We’re very similar but we’re like the Alice in Wonderland, Looking Glass Mirror versions of each other.

SubmergeMag.com

Cameron: We get inspired at the same time from different things. We get a feeling. It could be DJ Shadow, it could be anything, a country song; our creative juices start, and we just sit down and see what comes out. When we work together we balance each other’s ideas. I know that every collaborator brings a different set of skills to the studio, the songwriting process. Who impressed you most while recording? 7evin: Mic Jordan is one of the smartest people in the world. He’s brilliant. Just kicking it, he’d expand our minds in so many ways. When he came in, we worked an experimental song; it’s not a typical hip-hop track. He rose to the occasion. He has like four different cadences, and it’s beautiful. Cameron: Jordan, for sure. Caleb [Heinze], I’ve known that dude for a long time, and I knew he could sing. The way he nails that chorus is genius. 7evin: He has a range that no male should have. We weren’t sure what to do with that track “Nirvana,” but Juliana [Lydell] approached it off of his vocal, like the ghost of the guy she lost her virginity to. What was it like to work with Jonah and everyone else? How’d you get them to collaborate on the album? 7evin: They were all our friends, except for Jonah, though Jonah’s now friends and family. Jonah’s someone we looked up to, someone we’d seen as kids growing up, going to shows at the Cattle Club. We had mutual friends so I hit him up. Cam sent over “Evening Push” and he just ran with it. He was so kind and gentle of a person to work with two guys he didn’t know. We sent a lot of emails

backwards and forwards. We haven’t got a chance to do it live with him as far as performance. But we’re doing that on April 4, everyone on the album is performing. It’s never going to happen again. It’s like one shot. We definitely took a Gorillaz approach with this. Terra [Lopez and Cameron] are damn near best friends. I knew Stephanie [Barber] from helping her and her sister with their restaurant, and that girl can sing. We locked her and [Mahtie] Bush in my bedroom with us, and it was like a Seven Minutes in Heaven kind of thing, writing a song on an SM58 microphone. Stephanie Barber [who is quietly present during most of the interview]: It was really creepy and productive. One of the ways I’d describe your sound is electric, post-grunge, skateboard culture, all grown up. You happy with that? Cameron: I’m cool with that. That’s what I do every day, [skate]. Skate videos have helped me listen to different things. In old Toy Machine videos, Ed Templeton uses a lot of Sonic Youth. I watched them hundreds of times. It made me want to experiment with my own guitar. Would you say your music belongs as the soundtrack to the cinematic build up of a riot or the post-riot moment of optimistic melancholia, where a new world briefly exists but won’t last over time? 7evin: Afterwards, definitely. After everything’s been destroyed, and we’re rebuilding. There’s healing process in these songs. There’s hope. Your heart gets demolished, but you can grow and move on.

“I’m 20 percent deaf in my left ear. I don’t hear high end, I hear mid-tone and bass. You can see that and feel that live. He’ll come in and stick this melody here. He brings the beauty to my dirtiness. I’m a gutter-punk; this guy comes in, and he’s playing 12-string guitar. We’re very similar but we’re like the Alice in Wonderland , Looking Glass Mirror versions of each other.” – 7evin, Tel Cairo, on his Tel Cairo will celebrate the release of Voice of Reason at Midtown BarFly, bandmate Cameron Others 1119 21st Street in Sacramento, on April 4. This will be perhaps your only chance to see 7evin and Cameron Others share the stage with all of the vocalists who appeared on the album. For more info on the show, go to Facebook.com/telcairo, or hop over to Midtown BarFly’s Facebook page, Facebook.com/midtownbarfly.

4

Mic Jordan

Mahtie Bush

Task1ne

Juliana Lydell with Ira Skinner

Questions with Mic Jordan, Mahtie Bush, Task1ne and Juliana Lydell!

How was it to work with 7evin and Cameron on your track? Mic Jordan: They played me a skeletal version of the song they wanted me on and set me loose with no real guidelines. I definitely had input into its final outcome, but I also felt like, “OK, everybody here knows what they’re doing, they trust me do my thing lyrically, so I trust them to do their thing sonically.” Juliana Lydell: They’re really open-minded, supportive, and enthusiastic. Creating with them is a lot of fun. Can you tell me about the process, e.g. did they have the song done and let you do vocals over it, or was it more of a collaborative process where you aided in the musical composition? Task1ne: They trusted my expertise and let me just record the track like how I usually do it with no problems. It was a blast. I fell in love with the track instantly. I’m a fan of all types of music, so it was great to get to experiment on something different. Mahtie Bush: They built the track right on the spot, and as they did that I was writing to the beat. It just happened; we were on the same page. The vibe was ill. What makes Tel Cairo vital to the local scene? Mic Jordan: The fact that they are bridging the (artificially separated) electronic, alternative and hip-hop communities. Ultimately, what sets Tel Cairo apart is the fact that their music defies easy categorization while somehow sounding authentic no matter what territory it’s venturing into. Juliana Lydell: How excited they are, how much they believe in community, and what a team effort they make out of the act of creation. They think big. It’s contagious. How long until Tel Cairo achieves world domination? Mic Jordan: Who’s to say they haven’t already? Task1ne: A better question is, which one is Pinky and which one is the Brain? Inquiring minds would like to know.

Issue 132 • March 18 – April 1, 2013

15


WitH sPeCialguest

a single seConD

w e d n e s day

March 27

s u n day

sat u r day

april 6

t h u r s day

april 11

March 31

1417 r street saCraMentO

j booG • hot Rain

Ghts i n B O t hL d O u t ! sO

tuesday

w e d n e s day

March 19

March 20

ameriCaz mozt HaunteD

t h u r s day

March 28

april 2

t u e s day

Roach GiGz • Los Rakas • PLayah k • k-ottic

f r i day

april 12

PaCifiC Dub arDen Park roots

WitH sPeCialguest

WitH sPeCialguest

fort lean

sat u r day

March 23

DJ mustarD

f r i day

March 29

t h u r s day

april 4 sat u r day

s u n day

16

March 24

visting Days

James Cavern

maiD of tHe mist

sat u r day

Issue 132 • March 18 – April 1, 2013

March 30

f r i day

april 5

april 13

WitH sPeCialguest

HunDreD Waters

s u n day

april 14

Dive Into Sacramento & Its Surrounding Areas


w e d n e s day

april 17

f r i day

april 24

w e d n e s day

t h u r s day

May 31

May 9

Performing

WHat it is to burn in it’s entirety

WitH sPeCialguest

la noCHe oskura

f r i day

april 19

sat u r day

June 1

sat u r day

June 8

t u e s day

June 18

thRouGh thE Roots • simPLE cREation

t h u r s day

april 25

WitH sPeCialguest

earl sWeatsHirt

f r i day

May 17

dEsaRio • coLd Eskimo

sat u r day

april 20

f r i day

april 26 royal tHunDer Journal

sat u r day

s u n day

april 21

sat u r day

May 18

May 4 End of days • REstRaynEd

w e d n e s day

M O n day

april 22

SubmergeMag.com

w e d n e s day

May 8

May 22

all shows all ages

sat u r day

July 27

tickets available @ dimple records, the Beat, armadillo YandTRocks Online: aceOfspadessac.com By Phone: 1.877.Gnd.CtrL Or 916.443.9202 www.

Issue 132 • March 18 – April 1, 2013

.com

17


March 18 – april 1 submergemag.com/calendar

music, comedy & misc. Calendar

3.18 Monday

The Blue Lamp DJ Nocturnal’s B-Day Bash feat. Darktime Sunshine, Void Pedal, Moobie Black, Max Bundles, Mr. P Chill, M Theory, Nick Blanco, 9 p.m. The Boxing Donkey Open Mic Variety Night, 8 p.m. Distillery Karaoke, 9 p.m. Fox & Goose Open Mic Night, 7:30 p.m. Luna’s Cafe Nebraska Mondays hosted by Ross Hammond, 7:30 p.m. Powerhouse Pub Karaoke, 9 p.m. Press Club Crazy Ballhead, Tyson Graf Trio, 8:30 p.m. Red Hawk Casino Apple Z, 7 p.m. Sol Collective Microphone Mondays, 8 p.m. Townhouse Open Mic, 9 p.m.

3.19 Tuesday

Ace of Spades Rebelution, J Boog, Hot Rain, 7 p.m. (Sold Out) Bows and Arrows Cove, Gabe Mintz, Low Hums, 8 p.m. Distillery Karaoke, 9 p.m. Dive Bar Beat Boutique w/ DJ JB, 9 p.m. LowBrau Le Twist feat. Paper Pistols, Sam I Jam, Adam J, Taylor Cho, Roger Carpio, 9 p.m. Marilyn’s Greatest Stories Ever Told Free Live Music Series, 7:30 p.m. Old Ironsides Karaoke, 9 p.m. Pine Cove Open Mic Night, 9 p.m. Powerhouse Pub College Night w/ DJ Rigatony, DJ Alazzawi, 10:30 p.m.

3.21 Fashawn Murs, Prof

Harlow's 10 p.m.

18

Issue 132 • March 18 – April 1, 2013

Red Hawk Casino Apple Z, 7 p.m. Shine Jazz Jam w/ Jason Galbraith & Guests, 8 p.m. T2 Nightclub & Lounge Karaoke, 9 p.m. Torch Club Hans Eberbach, 5:30 p.m.; Wingnut Adams Band, 9 p.m. Townhouse Fame Change, DJ Whores, The Administrator, CHRISUPREME, 9 p.m. UC Davis: Jackson Hall Jazz at Lincoln Center Orchestra, 8 p.m. UC Davis: Corin Courtyard SFJAZZ High School All-Stars, The Capital Jazz Project, 6:30 p.m.

Powerhouse Pub Todd Morgan and the Emblems, The Quinn Hedges Band, 8 p.m. Press Club The Harbor, The Albert Square, Dead Dads, Porter, 8 p.m. Red Hawk Casino Apple Z, 7 p.m. Shady Lady Saloon Red Skunk Gypsy Swing, 9 p.m. Torch Club Acoustic Open Mic, 5:30 p.m.; Peter Petty Review, 9 p.m. Townhouse Frequency w/ DJ Crescendo, 9 p.m. University Union Serna Plaza, CSUS Nooner feat. The Old Screen Door, 12 p.m.

use a qr scanner on your smart phone to view calendar online

Old Ironsides Bluegrass Acoustic Jam, 7 p.m.; DJ Micah J, 10 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub California Cowboys, 9:30 p.m. Press Club Blackout feat. Brain Rash, Grim Tide, Dali Baba, Lord Siracha, 8 p.m. R15 Z Rokk, 9 p.m. Red Hawk Casino Apple Z, 7 p.m. River City Saloon Open Jam hosted by The Old Town Boys, 9 p.m. Shady Lady Saloon Steve Taylor, 9 p.m. The Stoney Inn The Buck Ford Band, 9 p.m. Torch Club X Trio, 5 p.m.; Black Market III, 9 p.m. Townhouse Wild w/ DJ Billy Lane and Guests, 9 p.m.

3.20 3.21 3.22 Wednesday

Ace of Spades Rebelution, J Boog, Hot Rain, 7 p.m. (Sold Out) The Boardwalk James Durbin (from American Idol), Trikome, Shot of Honesty, One-Eyed King, 7 p.m. Bows and Arrows Blue Sky Black Death, Child Actor, 3 the Hard Way, Nick Bianco, Knox, 7 p.m. Club Car The Double Shots, 7:30 p.m. Distillery Karaoke, 9 p.m. District 30 Ted Hicks & Keith Kester, 10 p.m. Fox & Goose Northern Soul, 8 p.m. Harlow’s The Aggrolites, The Pinstripes, La Plebe, 7 p.m. Laughs Unlimited Karaoke, 8 p.m. Marilyn’s The Fontaine Classic, Otis Heat, 8 p.m. Mix DJ Gabe Xavier, DJ Peeti-V, 9 p.m. Old Ironsides Open Mic, 9 p.m. Parlare Shine w/ DJ Epik, DJ Oasis, DJ Lahn, 9 p.m.

thursday

The Blue Lamp Cherry Red Benefit Show, 9 p.m. The Boardwalk CaliRep, Chuck Deezle, Citrus C, Lil “G”, Guero, C-Dubb, Dro Clicc, Optimiztiq, 2legit Clique, Da Tykoon, So Sik, 1st Place, 7 p.m. Broderick Roadhouse Live DJ’s, 9:30 p.m. Club Car Songwriters Showcase, 8 p.m. The Coffee Garden Open Mic Night, 8 p.m. District 30 The Hollow Presents: Sacramento Goth Industrial, 9 p.m. Dive Bar Dueling Pianos, 9 p.m. Fox & Goose Fontaine Classic, 8 p.m. Harlow’s Murs, Fashawn, Prof, 10 p.m. Level Up Lounge Karaoke, 9 p.m. Marilyn’s Rock On Live Band Karaoke, 9 p.m. Mix DJ Eddie Edul, DJ Peeti V, 9 p.m.

Friday

Assembly Grand Opening Party feat. Pop Fiction, 10 p.m. The Blue Lamp The Brown Hustlaz, Gathering of The Minds, LSC, MC Qball, Shotty Shot, Cali O, B-D, Jay Lyn Tha Rida, 9 p.m. The Boardwalk P.D.P., Aghori, Legion’s Requiem, Journal, Bispora, Victory or Death, 7 p.m. The Boxing Donkey Adam Donald, 9 p.m. Broderick Roadhouse Live DJ’s, 9:30 p.m. Capitol Garage Dub Culture, 10 p.m. Club Car Haile O’Ryan & Johnny D, 9 p.m. Colusa Casino Northern Heat, 9 p.m. Crest Theatre Leo Kottke, 7 p.m. District 30 DJ Spindizzy, 9 p.m.

continued on page 20

>>

3.22

The Horde & the Harem Ivan & Alyosha

Sophia's Thai Kitchen 9 p.m. Dive Into Sacramento & Its Surrounding Areas


Bring in Any competitor’s coupon and we’ll beat it by $5 *must present competitor’s ad. Some restrictions apply.

Sacramento

420 Doc meDical marijUana evalUationS

sPRing comPassion sPecials

34 $ 44

$

Renewals *must bring in this ad. limit one per patient.

Voted 2 bes physict 420 in sacian ! nd

new Patients *must bring in this ad. limit one per patient.

visit our weBsite to Book your Appointment online 24/7

www.Sac420doc.com

916.480.9000 2 convenient locAtions to serve you

2 1 0 0 Wa t t av e U n i t 1 9 0 • S a c r a m e n t o , c a 9 5 8 2 5 loc ated in the bac k of building M o n - S a t 11 - 7 p M 2633 telegraph ave, #109 | oaKlanD, ca 94612 (510) 832-5000 | Mon-Sat 10aM-5pM

recommendations are valid for 1 Year • Walk-ins Welcome all day everyday

yoUr information iS 100% private anD confiDential SubmergeMag.com

Issue 132 • March 18 – April 1, 2013

19


SHOWS AT SAC STATE

SPONSORED BY UNIQUE PROGRAMS FOR MORE INFO VISIT OUR WEBSITE OR CALL 278–6997

WWW.SACSTATEUNIQUE.COM NOONER

NOONER

THE OLD SCREEN DOOR

IRIEFUSE FORMERLY COUNTER CULTURE

WED • MAR 20 • 12P • UNIVERSITY UNION SERNA PLAZA

WED • APR 3 • 12P • UNIVERSITY UNION SERNA PLAZA

FREE: Rock soul funk concert

FREE: Dub rock/California reggae concert

COMEDY

MIKE E. WINFIELD THUR • APR 4 • 7:30P • UNIVERSITY UNION BALLROOM FREE: Featuring MIKE E. WINFIELD Fuse Network’s host of OFF BEAT!, plus special guest SAMMY OBEID

NOONER

NOONER

SAC STATE LATIN JAZZ ENSEMBLE

THE BELL BOYS

WED • APR 10 • 12P • UNIVERSITY UNION SERNA PLAZA

WED • APR 17 • 12P • UNIVERSITY UNION SERNA PLAZA

FREE: Co-sponsored by UNIQUE Programs, the Sacramento State Music Department and ASI

FREE: indie rock, honest pop, hip hop, funk concert

LECTURE

THUR • APR 11 • 7:30P • UNIVERSITY UNION BALLROOM FREE: Featuring Shangela and Raja Gemini of RUPAUL’S DRAG RACE, lecture, Q&A and drag performance

DANCING

CONCERT

SALSA LOCA LIVE

B-SIDE PLAYERS

THUR • APR 25 • 7:30P • UNIVERSITY UNION BALLROOM

THUR • MAY 2 • 5P • UNIVERSITY UNION SERNA PLAZA

FREE: Salsa dance lessons, live concert by Rumbaché, and dance performances by local dance studios

FREE: Latin funk concert in celebration of Cinco de Mayo, plus special opening guests Mariachi Los Versatilles

3.23

The Joy Formidable Fort Lean

Ace of Spades 7 p.m. Fox & Goose Kevin Seconds, Noah Nelson, Danny Secretion, 9 p.m. Golden Bear DJ Crook, 10 p.m. Harlow’s I Like It, I Love It (Tim McGraw Tribute), 5:30 p.m.; Destructikonz, 10 p.m. Haven Underground Wonderfunk, Shakina Ma, Open Mike, 8 p.m. Level Up Lounge Hot Pants w/ DJ Rock Bottom, 9 p.m. Luigi’s Fungarden Dog Party, The Street Eaters, 8 p.m. Luna’s Cafe Mark Lemajre & Twilight, Stepping Stone, Bob Eastwall, 8 p.m. Marilyn’s Matt Larson, Patrick Walsh, Wolfhouse, 9 p.m. Midtown BarFly Fullness Fridays w/ Fantan Mojah, Prestige, Jah Warri, Zareb, DJ Zen Ken, DJ ESEF, K. Weezy, 9:30 p.m. Mix DJ Elliott Estes, 9 p.m. MontBleu Resort Casino Sage Francis, 10 p.m. Old Ironsides Southlot, Juliet Company, Swahili Passion, Anmarie Fielding, 9 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub Tainted Love, 10 p.m. Press Club DJ Rue, 9 p.m. Rail Bridge Cellars Penthouse Lounge Speakeasy Series feat. The Jahari Sai Trio, 9 p.m. Red Hawk Casino Hot for Teacher (Van Halen Tribute), 6:30 p.m.; Clean Slate, 10 p.m. Shady Lady Saloon Zorelli, 9 p.m. Sophia’s Thai Kitchen Ivan & Alyosha, The Horde & the Harem, 9 p.m. Torch Club Pailer & Fratis, 5 p.m.; The Nickel Slots, 9 p.m.

3.23 Saturday

WEDS, APRIL 10 6– 8 PM

APR I L 2 – 2 5 UNIVERSITY UNION GALLERY

20

Ace of Spades The Joy Formidable, Fort Lean, 7 p.m. Assembly Super Diamond, 10 p.m. The Blue Lamp Fly High, Lonely Kings, Tel Cairo, 9 p.m. The Boardwalk I Wish We Were Robots, Merchants, Outsiders, Between Realms, Before You Fall, Lifeforms, 6 p.m.

Issue 132 • March 18 – April 1, 2013

3.26 stolas

Missive, These Paper Satellites, Yvette Young

Luigi's Fungarden 8 p.m.

The Boxing Donkey Ryan Hernandez, 9 p.m. Bows and Arrows Genius, Sean Nicholas Savage, Agor, Doldrums, 8 p.m. Club Car Ma Barker Band, 9 p.m. Club Retro Incomplete Denial, As Small As Giants, Frailed Sanity, Eroticus, Fall of Man, Black, I the Captain, Legion of Doom, 6:30 p.m. Colusa Casino Northern Heat, 9 p.m. District 30 Amy Robbins, 9 p.m. Fox & Goose O Street, Hans and the Hot Mess, Sacto Soul Rebels, 9 p.m. G Street WunderBar Carly DuHain Band, South Lot, Diva Kings, 8 p.m. Harlow’s Midnight Players, 9 p.m. Harrah’s Lake Tahoe Abbacadabra (ABBA Tribute), 7:30 p.m. KBAR Z-Rokk, 9 p.m. Level Up Lounge Guest DJs, 9 p.m. Luigi’s Fungarden Nightclub, Pets, Ugly Bunny, 8:30 p.m. Luna’s Cafe Dan Frechette & Laurel Thompson, 8 p.m. Marilyn’s Lucky Laskowski Band, The Sheets, 50 Watt Heavy, 9 p.m. Mix DJ Mike Moss, 9 p.m. Old Ironsides Groovin’ High, Northbound Train, Riot Act, 9 p.m. The Park Ultra Lounge DJ Peeti V, 9 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub Spazmatics, 10 p.m. Press Club DJ Larry Rodriguez, 9 p.m. Red Hawk Casino Kyle Williams, 6:30 p.m.; Clean Slate, 10 p.m. Shady Lady Saloon Harley White, 9 p.m. Shine Tao Jiriki, Groove Heroes, Groovincible, 8 p.m. Sophia’s Thai Kitchen Wild Ones, Cheers Elephant, 9 p.m. Thunder Valley Casino Resort Revolver (Beatles Tribute), 8:30 p.m. Torch Club Mary House Benefit Show feat. The Count, 4 p.m.; Jelly Bread, 9 p.m. Townhouse Pop Freq w/ DJ X-GVNR, 9 p.m.

UC Davis: Vanderhoef Studio Theatre Lara Downes and Build, 8 p.m.

3.24 Sunday

Ace of Spades Enter Shikari, Architects, Heartist, Crossfaith, Maid Of The Mist, 6 p.m. The Blue Lamp Caveman, 8:30 p.m. Capitol Garage Karaoke w/ Jeff Jenkins, 9 p.m. Crest Theatre Terry Barber, 2 p.m. Distillery Karaoke, 8 p.m. Dive Bar Jon Reyes, 9 p.m. Harlow’s Matt Costa, Carly Ritter, Sam Outlaw, 8:30 p.m. Haven Underground Dirty Filthy Mugs, Anomalys, King Automatic, Vinyl Avenger, 9 p.m. Mix DJ Gabe Xavier, 8:30 p.m. Pine Cove Self Proclaimed, 8 p.m. Powerhouse Pub Dennis Jones, 3 p.m.; Open Blues Jam, 7 p.m. Press Club Black Mackerel, Key of Solomon, Peacekillers, Fudi, 4 p.m. Red Hawk Casino Joshua Paige, 7 p.m. Shady Lady Saloon Blvd Park, 8 p.m. Shine Chris Trapper (of Push Stars), 7 p.m. Torch Club Blues Jam, 4 p.m.; Otis Heat, 8 p.m. UC Davis: Vanderhoef Studio Theatre Lara Downes and Build, 2 p.m.

3.25 Monday

The Boxing Donkey Open Mic Variety Night, 8 p.m. Distillery Karaoke, 9 p.m. Fox & Goose Open Mic Night, 7:30 p.m. Harlow’s The Pimps of Joytime, Vokab Kompany, 7 p.m. Luna’s Cafe Nebraska Mondays hosted by Ross Hammond, 7:30 p.m.

Old Ironsides Event Horizon, Monomyth Inception, 9 p.m. Powerhouse Pub Karaoke, 9 p.m. Press Club The Tender Cinders, 9 p.m. Red Hawk Casino Chili Sauce, 7 p.m. Sol Collective Microphone Mondays, 8 p.m. Townhouse Open Jam/Open Mic hosted by Brian Rinehart & Mr Erik James, 9 p.m.

3.26 Tuesday

Bows and Arrows The Lurk, Grex, Chris Peck, 8 p.m. Davis Bike Collective Bad Daddies, Ennui Trust, 8 p.m. Distillery Karaoke, 9 p.m. Dive Bar Beat Boutique w/ DJ Danny Mijangos, 9 p.m. LowBrau Le Twist feat. Sam I Jam, Adam J, Taylor Cho, Roger Carpio, 9 p.m. Luigi’s Fungarden Stolas, Missive, These Paper Satellites, Yvette Young, 8 p.m. Marilyn’s Greatest Stories Ever Told Free Live Music Series, 7:30 p.m. Old Ironsides Karaoke, 9 p.m. Pine Cove Open Mic Night, 9 p.m. Pine Cove Battle of the Musicians & Open Mic, 9:30 p.m. Powerhouse Pub College Night w/ DJ Rigatony, DJ Alazzawi, 10:30 p.m. Red Hawk Casino Chili Sauce, 7 p.m. Shine Jazz Jam w/ Jason Galbraith & Guests, 8 p.m. T2 Nightclub & Lounge Karaoke, 9 p.m. Torch Club Quinn Hedges, 5:30 p.m.; Island of Black and White, 9 p.m. Townhouse GRIMEY feat. DJ Whores and Guests, 9 p.m.

Dive Into Sacramento & Its Surrounding Areas


3.28

Natural Child

Cool Ghouls, The Golden Ghosts

Bows and Arrows 8 p.m.

3.27 wednesday

Ace of Spades Mindless Self Indulgence, 6:30 p.m. Bows and Arrows Ghost to Falco, Christine Shields, Dead Western, 8 p.m. Club Car The Double Shots, 7:30 p.m. Distillery Karaoke, 9 p.m. Fox & Goose Northern Soul, 8 p.m. Laughs Unlimited Karaoke, 8 p.m. Luigi’s Fungarden Pony Village, Awkward Lemon, 8 p.m. Marilyn’s Jeordie, The Ooo La Las, Doug Cash, 8 p.m. Mix DJ Gabe Xavier, DJ Peeti-V, 9 p.m. Old Ironsides Open Mic, 9 p.m. Parlare Shine w/ DJ Epik, DJ Oasis, DJ Lahn, 9 p.m. Powerhouse Pub Braden Scott Band, Blue Oaks, Ancient Astronaut, 8 p.m. Press Club The Moans (Tour Kickoff Show), The Enlows, Strange Party, Rebel Punk, 8 p.m. Red Hawk Casino Chili Sauce, 7 p.m. Torch Club Acoustic Open Mic, 5:30 p.m.; The StereoFidelics, 9 p.m.

3.28 Thursday

Ace of Spades Ab-Soul, 7 p.m. The Blue Lamp Skratchpad, 9 p.m. The Boardwalk Abysmal Dawn, Arkaik, The Kennedy Veil, Extirpate, Ellipsis, Ashes in August, 7 p.m. Bows and Arrows Natural Child, Cool Ghouls, The Golden Ghosts, 8 p.m. Broderick Roadhouse Live DJ’s, 9:30 p.m. Club Car Songwriters Showcase, 8 p.m. The Coffee Garden Open Mic Night, 8 p.m. District 30 The Hollow Presents: Sacramento Goth Industrial, 9 p.m. SubmergeMag.com

Dive Bar Dueling Pianos, 9 p.m. Fox & Goose The Mike Justis Band, 8 p.m. G Street WunderBar Drive-Thru Mystics, The Lurk, Tokyo Raid, 8 p.m. Level Up Lounge Karaoke, 9 p.m. Marilyn’s Rock On Live Band Karaoke, 9 p.m. Mix DJ Eddie Edul, DJ Peeti V, 9 p.m. Old Ironsides Jamming 101, 6 p.m.; No Small Children, The Taylor Chicks, 9 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub Folsom Prism, Northern Heat, 9:30 p.m. Press Club FFFreak! w/ Rasar & DJ Rated R, Conrad Kaneshiro, Crook One, Ben Johnson, 9:30 p.m. R15 Z Rokk, 9 p.m. Red Hawk Casino Chili Sauce, 7 p.m. River City Saloon Open Jam hosted by The Old Town Boys, 9 p.m. Shady Lady Saloon Alex Jenkins Trio, 9 p.m. Shine Jack & The Bear, 8 p.m. The Stoney Inn The Chris Gardner Band, 9 p.m. Torch Club X Trio, 5 p.m.; Jeramy Norris & the Dangerous Mood, 9 p.m. Townhouse Wild w/ DJ Billy Lane and Guests, 9 p.m.

3.29 FRIDAY

Ace of Spades Valu Fa, Teki, Finn The Groovah & United Districtz, Samu, Irie Love, YG LB, Sanga, Kingi & Pistallion, DJ Reef, 6:30 p.m. Assembly James Cavern (EP Release), Hans and the Hot Mess, Golden Cadillacs, Relic 45, 9 p.m. Beatnik Studios Final Fridays feat. Autumn Sky, Musical Charis, Orion Walsh, Rook Family, 6 p.m. The Boardwalk Burn Halo, Without Conclusion, For All Ive Done, Vanishing Affair, ALLINADAY, 7 p.m.

Broderick Roadhouse Live DJ’s, 9:30 p.m. Capitol Garage Dub Culture, 10 p.m. Colusa Casino DJ X-Cell, 9 p.m. District 30 DJ Billy Lane, 9 p.m. Fox & Goose Sam Eliot, The Bradfords, Delta City Ramblers, 9 p.m. Golden Bear DJ Crook, 10 p.m. Harlow’s Crystal Bowersox, Monte Mar, 6 p.m.; The Cheeseballs, 9 p.m. Level Up Lounge Hot Pants w/ DJ Rock Bottom, 9 p.m. Luigi’s Fungarden FFG, Flip the Switch, Barfly Effect, O’Mulligans, 8 p.m. Luna’s Cafe The Last Attraction, Signifiers, Kilo & Pepper, 8 p.m. Marilyn’s Val Star & the Blues Rocket, 8 p.m. Mix DJ Elliott Estes, 9 p.m. Old Ironsides The Brodys, Jet Black Popes, Inferno of Joy, 9 p.m. On The Y Facinorous, Friends at Feast, Fall of Man, Apocryphon, Solanum, 8 p.m. The Park Ultra Lounge Graham Funke, Eddie Edul, 9 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub 8 Track Massacre, 10 p.m. Press Club DJ Rue, 9 p.m. Red Hawk Casino Ice House Blues, 5 p.m.; Left of Centre, 10 p.m. Shady Lady Saloon Emily Kollars, 9 p.m. Shine Der Spazm, One Hundred Percent(SF), Medadora, 8 p.m. Sophia’s Thai Kitchen Sands, Gentleman Surfer, 9 p.m. Torch Club Pailer & Fratis, 5 p.m.; Mr. December, 9 p.m.

3.30 Saturday

Ace of Spades George Clinton & Parliament Funkadelic, 7 p.m. Assembly K. Flay, 10 p.m. The Blue Lamp Playboy School, Carly DuHain Band, 8:30 p.m.

continued on page 22

>>

where Beer week never ends!

1050 20TH ST, MIDTOWN SACRAMENTO

(916)

447-1255

E VERYDAY S PECIALS $1 MONDAY: $1-off all Slices & $1 fountain drinks $2 TUESDAY: $2 - Cheese or Pepperoni Slice $3 WEDNESDAY: $3 - Any Slice OR Tossed Salad $4 THURSDAY: $4 - Any Sandwich $5 FRIDAY: $5 - off any large pie (pizza)

HAPPY HOUR 7 DAYS A WEEK: 3pm - 6pm $2 cheese or pepperoni slice & $2 pints

Monday Night Trivia: EVERY WEEK! A SLICE OF TRIVIA WITH THE BRUCE TWINS! 03/22 DOG PARTY//THE STREET EATERS AND MORE 03/23 NIGHTCLUB//PETS//UGLY BUNNY 03/26 THESE COLORS//STOLAS//TBA 03/27 PONY VILLAGE//AWKWARD LEMON//TBA 03/29 FLIP THE SWITCH//FFG//THE O’MULLIGANS 03/30 ZUHG CD RELEASE SHOW//EGG//TBA 04/03 SUAVE DEBANER//STATUS GOES//HIGHER LEARNING//TBA 04/04 BOGG//ISSAC BEAR//PAGEANT DADS//AUTUMN SKY

EAT. DRINK. LISTEN. Issue 132 • March 18 – April 1, 2013

21


The Boardwalk Philthy Rich, Playah K, Young Landry, ODG, 7 p.m. Bows and Arrows Widowspeak, SISU, Sneeze Attack, Yea-Ming, 8 p.m. The Boxing Donkey Adam Donald, 9 p.m. Cache Creek Casino The Ohio Players, 8 p.m. Center for the Arts Steve Kimock, Bernie Worrell, Wally Ingram, Andy Hess, 8 p.m. Club Car Todd Morgan and the Emblems, 9 p.m. Club Retro Lance Mishleau, Ali K, Kyle Mchargue, Shipwreck Pedro, Sacrifice, 6 p.m. Colusa Casino Michael Beck, 9 p.m. Crest Theatre The Mavericks, Seth Walker, 8 p.m. District 30 Rock and Rhyme Live, 9 p.m. Fox & Goose Mike Blanchard and the Californios, Lovelorn, 9 p.m. G Street WunderBar Groovin’ High Band, 8 p.m. Harlow’s Hot Buttered Rum, 9 p.m. Harrah’s Lake Tahoe Moonwalker (Michael Jackson Tribute), 7:30 p.m. Haven Underground Major Powers and the Lo-Fi Symphony, E V Kain, Sands, 9 p.m. KBAR Z-Rokk, 9 p.m. Level Up Lounge Guest DJs, 9 p.m.

Luigi’s Fungarden ZuhG (CD Release), Jesi Naomi, Brian Jennings, EGG, 7:30 p.m. Luna’s Cafe Ricky Berger, David Houston & String Theory, 9 p.m. Marilyn’s Unmata, 7 p.m. Midtown BarFly New Jack Fling feat. Crook One, DJ Epik, 9:30 p.m. Mix DJ Mike Moss, 9 p.m. Old Ironsides Troublemakers, The Four Eyes, 9 p.m. Pine Cove Karaoke, 9 p.m. Powerhouse Pub Notorius, 10 p.m. Press Club DJ Larry Rodriguez, 9 p.m. Red Hawk Casino Ice House Blues, 5 p.m.; Left of Centre, 10 p.m. Red Rabbit Shaun Slaughter’s TABOO: An Enchanted Luau, 9 p.m. Shady Lady Saloon Tyson Graf, 9 p.m. Shine John Gruber, James Isreal Band, 8 p.m. Sophia’s Thai Kitchen Catherine Feeny, Sama Dams, 9 p.m. Torch Club Johnny Guitar Knox, 5 p.m.; The Bang, 9 p.m. Townhouse Pop Freq w/ DJ X-GVNR, 9 p.m.

3.31 Sunday

Ace of Spades Sevendust, Coal Chamber, Lacuna Coil, Candlelight Red, 6 p.m.

The Boardwalk Conditions, Lions Lions, Dangerkids, K Sera, The Stand Out State, The Big Daddies, 6:30 p.m. Capitol Garage Karaoke w/ Jeff Jenkins, 9 p.m. Distillery Karaoke, 8 p.m. Downtown Plaza Noah Peterson, Oak Street Blues, 1 p.m. Harlow’s Heartless Bastards, Jonny Fritz, 7 p.m. Mix DJ Gabe Xavier, 8:30 p.m. Pine Cove Hip Hopping Easter Show w/ BP & Praduh, A.Jonez, 8 p.m. Press Club Sunday Night Soul Party w/ DJ Larry & DJ Hailey, 9 p.m. Red Hawk Casino Rachel Steele & Road 88, 7 p.m. Shady Lady Saloon Sadie & the Blue Eyed Devils, 9 p.m. Torch Club Blues Jam, 4 p.m.

4.01 Monday

The Boxing Donkey Open Mic Variety Night, 8 p.m. Club Retro Little Mix, 6 p.m. Distillery Karaoke, 9 p.m. Fox & Goose Open Mic Night, 7:30 p.m. Luna’s Cafe Nebraska Mondays hosted by Ross Hammond, 7:30 p.m.

On The Y Gyspsyhawk, Mothership, Astral Cult, Ghulheim, Black Majik Acid, 8 p.m. Powerhouse Pub Karaoke, 9 p.m. Press Club Urban Wolves, Success, Poke Da Squid, The Community, 8 p.m. Red Hawk Casino Fresh, 7 p.m. Sol Collective Microphone Mondays, 8 p.m. Townhouse Open Jam/Open Mic hosted by Brian Rinehart & Mr Erik James, 9 p.m.

Comedy Laughs Unlimited Best of Open Mic Showcase, March 19, 8 p.m. Mystro Clark, DJ Sandhu, March 22 - 24, Fri. & Sat., 8 p.m. & 10:30 p.m.; Sunday, 7 p.m. Cowboy Bill Martin, March 29 - 30, Fri. & Sat., 8 p.m. & 10:30 p.m. Luna’s Cafe Keith Lowell Jensen’s Comedy Night, every Wednesday, 8 p.m. Po’Boyz Bar & Grill (Folsom) Comedy Open Mic, every Monday, 9 p.m. Punchline Comedy Club Mick Foley: Tales from Wrestling Past, March 20, 7:30 p.m. For the People Comedy w/ Frankie Quinones, March 27, 8 p.m. Josh Wolf, March 28, 8 p.m. Kevin Nealon, March 29 - 30, Fri. & Sat., 8 p.m. & 10 p.m.

Sacramento Comedy Spot Open Mic Scramble, Sunday’s and Monday’s, 7:30 p.m. Harold Night, Tuesday’s and Wednesday’s, 9 p.m. Improv Lab, Wednesday’s, 7 p.m. Anti-Cooperation League, Saturday’s, 9 p.m. Top 10 List Podcast Live!, Saturday’s, 10:30 p.m. Hella Gay Comedy Show feat. Justin Lucas, Kate Willett, Loren Kraut, Morgan, hosted by Charlie Ballard, March 22, 9 p.m. The Comedy Space hosted by Ray Molina, March 22, 10:30 p.m. The Real (funny) Housewives of Rio Linda, March 29, 9 p.m. The Stoney Inn Nutty Monday’s Comedy Showcase and Open Mic, Monday’s, 9 p.m. Tommy T’s Shang, March 22 - 24, Fri. & Sat., 7:30 p.m. & 9:30 p.m.; Sun., 7 p.m. Lachlan Patterson, March 28 - 31, Thurs., 7:30 p.m.; Fri. & Sat., 7:30 p.m. & 9:30 p.m.; Sun., 7 p.m.

Misc. Assembly B Street: Live!, March 22 - 23, 7 p.m. Benvenuti Performing Arts Center CORE Dance Collective Presents: Frayed Edges, March 21 - 23, 7:30 p.m. Blue Cue Trivia Night, every Wednesday, 6:30 p.m.

Bows & Arrows Live Figure Drawing, March 21, 6 p.m. The Boxing Donkey Trivia Night, every Tuesday, 8 p.m. Community Center Theatre Sacramento Ballet Presents: A Midsummer Night’s Dream, March 21 - 24 Crocker Art Museum Performance: Hatch, March 28, 6:30 p.m. Elliott Fouts Gallery EFG Private Collections Spring Auction, March 21, 6 p.m. Fox & Goose Pub Quiz, Tuesday’s, 7 p.m. Franklin Community Library Poetry 101 for Teens: The Beat Generation, March 20, 4 p.m. Little Relics Boutique & Galleria Retrospectives by Allyson Seconds & Jay Spooner, through March 30 Luna’s Cafe Poetry Unplugged, Thursday’s, 8 p.m. Midtown BarFly Salsa Lessons, every Wednesday, 8 p.m. Pine Cove Trivia Night, Wednesday’s, 9 p.m. Press Club Flex Your Head Trivia, Tuesday’s, 8 p.m. Sacramento Ballet Studios Inside the Director’s Studio: Ilana Goldmanand Protégés, March 29, 6 p.m. Shine Poetry with Legs hosted by Bill Gainer, March 27, 7:30 p.m. Tommy T’s Ladies Night, March 21, 7:30 p.m.

Think of us as your get out of jail free card.

444-2222 22

Issue 132 • March 18 – April 1, 2013

Dive Into Sacramento & Its Surrounding Areas


YOUR AD HERE

Call Us

(916) 441-3803

or email Us

info@submergemag.com

Today! Enter for your chance to win access and tickets to see Alex Clare live in concert in Downtown Sacramento. Check concert listings in this issue of Submerge for show details. Scan QR Code to enter or visit radio 947.net.

SOUND CHECK www.radio947.net

SubmergeMag.com

Issue 132 • March 18 – April 1, 2013

23


fashion! turn to the left. Fashion! turn to the right.

G

oing on its seventh year, Sacramento Fashion Week is more than just an annual production; it is an avenue into the fashion world. Sacramento Fashion Week’s mission is to bring awareness to the talent in the fashion and beauty marketplace in the greater Sacramento area. By keeping the event strictly local, it allows for businesses and other outlets to collaborate and strengthen Sacramento’s place in the fashion world. Aside from the industry aspect, Sacramento Fashion Week also looks to give back to the community. From providing students from higher institutions the opportunity to develop their skills and get real world experience in fashion to partnering with the Junior League of Sacramento, which promotes volunteerism, Sacramento Fashion Week has awaken a spirit in our city.

Rebecca Cahua started off Friday night’s Spring and Summer showcase. Her collection was simple in design and color palette. There was a touch of rebelliousness throughout with models sporting teased afros and dark makeup, but the clothes themselves were feminine. A pale pink, high-waisted skirt paired with champagne bustier initially caught my eye. The easiness of this look is perfect for hot summer days when any extra fuss just slows you down.

Maisha Bahati

Rebecca Cahua

Top 10 Looks from Sacramento Fashion Week

Maisha Bahati’s line had an upscale sophistication to it, while still remaining youthful. And nothing says chic and young like a jumpsuit. Jumpsuits have been a big trend this year because they allow you the ease of a dress, but the comfort of pajamas. Bahati’s multicolored pink, mauve and black jumpsuit had an extremely deep V and tie at the waist that elevated the design to something a bit more contemporary.

Brian Terry for BritBoy Fashions

Words Emily Bonsignore photos Kondrya Photography Kingstribe by Samuel Parkinson

24

Sacramento Fashion Week was a bit unreal for me. With a press pass around my neck and starting the nights off at the VIP parties, I couldn’t even begin to imagine what the rest of the weekend had in store. Even in the midst of the iconic New York and Paris Fashion Weeks, Sacramento set out to bring attention to our local designers. Set in the historic Elk’s Tower I could barely hold my excitement while on my way to the Friday and Saturday night showcases. With so much talent and creativity from these two nights, I couldn’t just choose a few designers to focus on. Rather, I chose my top 10 favorite looks from both nights, and what a great end they were to Sacramento Fashion Week!

Issue 132 • March 18 – April 1, 2013

Nelli Rosh

Hailing from across the pond, designer Brian Terry for BritBoy Fashions created an entire collection of well-constructed men’s blazers. They were truly impeccable and far from boring. Terry’s aesthetic leans toward fun and quirky clothes that do not sacrifice quality. From deconstructed British flags to shimmer-y platinum jackets, it was difficult to choose a favorite from his line. However, this black and white blazer was the fashion embodiment of Yin and Yang. Each color’s panel lined up perfectly creating a modern look. Paired with distressed jeans, this structured jacket added instant class. Taking a different approach to menswear was Kingstribe by Samuel Parkinson, who was the epitome of street style. The collection reminded of those great SoCal brands, such as RVCA, that put the laid-back look on the market. The collection was full of hoodies, graphic tees and skinny pants, but much of its greatness was in the details. The leather trim on the cardigans to the fur lapels on jackets made Kingstribe a standout for menswear. One of my favorites was a tri-gray hoodie detailed with large silver buttons. Paired with a leather duffle and cranberry pants, it made for a sleek approach to daywear. Closing the Friday night showcase was Nelli Rosh, who took a more avant-garde approach to her collection. Each look that stepped onto the runway was completely different from the next, but to the point where I never would have guessed these looks came from the same collection. Her designs were inspired by a plethora of decades ranging from the ‘80s to Victorian England. However, I fell in love with her first look, which was an ode to Andy Warhol. A long, black and white pop-art double portrait gown accented with chartreuse lips and blue eyes was double take-worthy. The entire look came together with a short, wavy bob and layered necklaces. Although I was exhausted at the end of the night I could not wait to see what the Fall and Winter showcase had to offer!

Dive Into Sacramento & Its Surrounding Areas


The Karisa Gold Collection came Saturday night with an assortment of evening gowns and cocktail dresses. When it comes to glamour it is easy to over design with all the trimmings and accessories the fabric store has to offer. However, Gold had a light hand with all her designs, neither being too underwhelming nor too overwhelming. With a stream of black dresses, this fuchsia gown stood out from the rest. The skirt of the dress had a subtle high-low hem, with a sheer overlay revealing a shorter slip underneath. With a little black rhinestone detailing at the bust and a black satin belt at the waist, this gown has tremendous age versatility. Dottie Charles Co. was yet another outstanding menswear collection. It embodied the urban man—a man who cares about his style but never wants to come across as if he is trying too hard (even though we all know they try the hardest). The collection was causal featuring a lot of scarves and sweaters. However, the final look was an oversized gray coat accented with a hint of blue trimming and tiny bronze buttons. Finished with a black buttondown and dark skinny jeans, I think the model’s long hair gave off the right amount of apathy. From casual to formal, the quality of menswear was the surprise of the weekend. Clothing line R. Douglas had an entire collection of suits and tuxes for every man. All the models and styling was very GQ-esque with pops of color and pattern that made these suits standout from the rest. With a cameo appearance from former Kings basketball player Bobby Jackson, the collection was certainly popular with the crowd. Although all the looks were flawless, my favorite was a gray pinstriped suit with a blue-checkered shirt, red paisley bow tie and blue and orange pocket square that had a definite Dr. Who inspiration.

SubmergeMag.com

Karisa Gold Collection

Dottie Charles Co.

R. Douglas

Still all the basketball guest appearances in the world could not compete with Nolan Kouri’s breathtaking ‘40s-inspired collection. The models were a walking Vogue cover, and the designs left me speechless. Even though the models showed very little skin, there was sex appeal in the bold colors and body hugging suits. The first model to enter the runway shocked the audience. A red mid-calf pencil skirt matched with a peplum jacket evoked an air of mystery with black lace gloves and hat. The classic red lip and sleek hair made for an envious look. Vasily Vein ended Sacramento Fashion Week with a bang. The collection began rather calm with an emphasis on tailored jackets and tulle skirts. However, the finale piece brought the crowd to its feet. A black and white lace and tulle ball gown literally covered the model from headto-toe. A white lace mask enveloped her face, reminiscent of Alexander McQueen. Although royally inspired, the look did not come across as a costume and appropriately deserved the standing ovation.

Nolan Kouri

S

acramento Fashion Week surpassed all of my expectations. Although Sacramento must compete with such metropolitan cities as Los Angeles and San Francisco, these events prove that Sacramento has a talent and a voice worth listening to.

Vasily Vein

Issue 132 • March 18 – April 1, 2013

25


l l a sm b clurance

a e p p a

SATuRDAy

June 8, 2013

1417 R STREET SACRAMENTO Doors Open at 7:00pm All Ages

Tickets Available @ Dimple Records, Getta Clue, The Beat, Armadillo (Davis) Online: AceOfSpadesSac.com By Phone: 1.877.GND.CTRL OR 916.443.9202

26

Issue 132 • March 18 – April 1, 2013

Dive Into Sacramento & Its Surrounding Areas


TONGUE & chic

Sushi, Sushi, Everywhere Bento Box

1600 K Street • Sacramento Words Steph Rodriguez photos Lovelle Harris Do we really need another sushi restaurant in Midtown? The grid has sushi on lock with well over a dozen choices when a craving for fresh sashimi or hand rolls strike. Take Kru for example, located on J Street with a handful of accolades to its reputation. Or, there’s Tamaya further up J Street, Miso on Broadway, Ju Hachi on S Street and the list of quality sushi restaurants in the area continues. Despite its location, sandwiched between two additional sushi eateries in Sapporo and Mikuni, Bento Box, a new Japanese restaurant on the corner of 16th and K streets celebrated its official grand opening on Saturday, March 9. Three-dollar Sapporos and half-off sushi rolls were deals offered to customers, ringing in the arrival of this new, potential go-to eatery. Multicolored balloons decorated the building’s massive windows, which brings in plenty of natural light and offers prime traffic and people-watching opportunities in the heart of Midtown. The décor is sharp and modern with steel palm tree pillars scattered throughout the place and metal art structures descending from the ceiling. Plus, there are the slick black napkins, attractive waitresses, and hey, even their chopsticks are metal and crisscrossed at each table just-so. The sounds of running water is credited to a pond in the middle of the room, flat-screen televisions line the walls, a sushi bar sits toward the back of the restaurant and a fully stocked bar waits to the right of the entrance. All appears pleasant. But, all looks aside, the food is really the bread and butter of any successful restaurant and with a $30 budget, sampling a handful of menu items is definitely doable during SubmergeMag.com

lunchtime here; especially, with the grand opening specials. So, I sampled two types of nigiri: salmon and hamachi. The nigiri order took quite a while, but when it was finally delivered to the table, much like the restaurant, it looked appetizing. Black tobiko contrasted nicely on top of the slice of white meat from the hamachi and the gold tobiko was an eye-appealing touch to the salmon. Yet, when I go for nigiri, I expect my fish slightly chilled, not above room temperature, which unfortunately was the case opening my experience at Bento Box. I fear the nigiri sat longer than needed, waiting to be ran to the table resulting in its warmer temperature. The salmon ended up tasting rich and buttery, though, and the hamachi also tasted fresh. Points must be given for fortunately well-tasting nigiri, no fishy flavor here. I was once told by the owner and head butcher of Taylor’s Market on Freeport Boulevard that when looking into a nice piece of fish, if there’s even a slight hint of overly fishy flavor, run for the hills. Noted. Next on the menu for lunch was the udon seafood noodle bowl with mussels, squid, shrimp and green onions in a fish broth. Seafood should never be overcooked. The squid pieces were crunchy like celery sticks; the shrimp also met the same fate. The mussels, chewy and the udon noodles were sad and slimy. I’m a fan of raw fish in my sushi rolls and forgo shrimp tempura in my choices every time. Bento Box’s Rainbow Roll boasts six varieties of fish and, not being a fan of shrimp tempura in my sushi, this sounded like the top decision. Plus, many sushi restaurants have their take on a Rainbow Roll. It’s pretty standard. The slices

of fish garnishing the top of the roll were hidden beneath a heavy hand of what resonated as a mayo garlic sauce, then finished with a drizzle of orange, spicy sauce. The roll itself also sat in a pool of sauce. All in all, way too much sauce takes away from not only the flavor of the fish, but all the other components intricately layered within a sushi bite. After the room-temperature salmon and hamachi, the crunchy squid and shrimp in the udon seafood bowl and now, an overdressed Rainbow Roll, a $3 Sapporo sounded needed. And, it was needed in order to cleanse my palate from all that garlic mayo sauce. With a new restaurant, kinks need to be worked out, and the same could be said for the waitressing staff. As a colleague and I sat talking about the change of Sacramento weather, waving to familiar faces picking up to-go orders, and other small chit-chat, our waitress, visited our table several times in the interest of closing out our tab because her shift was over. Typically, from my experience dining in at restaurants, a server

leaving a table notifies their guests that another staff member would be taking over to ensure the longevity of your stay. This was not the case. I surely would’ve enjoyed another palatecleansing Sapporo, but instead, was met with “Can I take this yet?” in reference to the little, black booklet that keeps the change to a bill. By the third time the waitress had inquired, I was able to politely ensure her all was Kosher as she went on her way. Would I have loved to order more drinks on the tab? Sure, but unfortunately, she missed the opportunity. Yes, this experience very well could have been the case of official grand-opening jitters, but I did go back for a second tasting met with similar results. In the end, it will take Bento Box a couple of weeks, maybe even a month’s time, to sharpen their service and steady the sauce portions because Sacramento is incredibly sushicentric. One bad experience is tough to bounce back from especially, when nudged between a variety of veteran sushi establishments.

Issue 132 • March 18 – April 1, 2013

27


1,000 Days, 1,000 Nights Comedian Sammy Obeid sets a milestone in consecutive nights of stand-up Words Amy Serna

S

ammy Obeid is a workaholic of the highest order. While most people strive to have their weekends off after five long days in the office, this comedian plans to work the stage every single night for 1,000 nights in a row. After a few months of working and realizing that he hasn’t had a day off since Christmas 2010, Obeid asked himself, “Why not just keep it going?” Submerge caught up with Sammy over the phone on day 804 and the 10th anniversary of his first time stepping up on stage as a comic. “I reached 100 [days], and I said, ‘You know I can make a full year record out of this and go to 365.’ I did that,” Obeid said. “When I made the 365, I got a Facebook message from my friend who said, ‘Hey man, I heard a comedian once did two years in a row performing every night…’ I said, ‘If I do that, I’m going to do 1,000 days.’” Obeid has been working so much in the past two years, he considers his afternoon gigs as a “day off” or as he joked on Facebook a day off is a night performing comedy in pajamas. Recently he has cut down the workday by performing one or two sets instead of three or four in one night. “I’m on my eighth wind right now or something. There was a point earlier when I was getting really burnt out and I kind of just took it easy, rested and regenerated. The last 100 days or so I’ve been resting and trying to get my health back,” he said. “It’s been one heck of a ride that’s for sure. I’m definitely looking forward to the end, but I feel like I have a wind right now. I’m going strong. And I’m so used to this, it’s becoming normal.” Obeid has not only broken the previous record of performing stand-up comedy for the most consecutive nights on day 731, but he has plans to take it to the next level of performing.

28

Issue 132 • March 18 – April 1, 2013

Dive Into Sacramento & Its Surrounding Areas


Fa m i ly o w n e d s i n c e 1 9 3 4

“I needed to set up the margin so nobody “I found out what I was good at, which was else ever beats it. That and 1,000 is a nice round public speaking, math and making people laugh,” number,” Obeid explained. he said. “I left college with knowing that’s what Since the comedy bar is set so high, he I’m good at, which didn’t tell me at all what I knows that his final day is going to be a special should be doing in life [but] that’s how I ended one and is hoping to catch more attention to the up becoming a comedian.” public. In order to document his crazy comedy He graduated with a 3.9 GPA double major life correctly, he matches his everyday show in Business and Mathematics. But Obeid’s with an everyday blog update on his website, education is used every day on stage to come Sammyko.com. You can keep track of what city up with jokes that are creative and smart. he will be in and the type of challenges he goes “I think about comedy mathematically, jokes through on a daily basis. Aspiring comedians are equations in a way. I have a very technical can find helpful tips from a traveling comic, way of looking at things,” explained Obeid. or people interested in what life would be “Everybody has a different comedy style, some like for a performing comic can find hilarious people are off the whim, some people are very tales from his everyday life. You can read how structured. I have a mathematical intuition when he conquered performing on Monday in San it comes to comedy.” Francisco, dealt with a “horny heckler,” how His natural intuition has paid off, on top of he got called a “genius” by the legendary Louis attempting to complete the most consecutive C.K., and received a nights of comedy, he compliment from Howard as appeared on NBC’s “I found out what I was Stern while performing America’s Got Talent, good at, which was public on America’s Got Talent. the Food Network, and speaking, math and making “‘Well Sammy, I think is a current member people laugh. I left college you made the right of the Coexist Comedy choice.’ The crowd cheers. Tour and the Axis of Evil with knowing that’s what ‘I really like what you’re New Generation Tour. I’m good at, which didn’t doing, and you know me, He also started his own tell me at all what I should I love racial comedy. I comedy enterprise with be doing in life [but] that’s think you’ve tapped into a group of friends called how I ended up becoming a really something special KO Comedy, where they comedian.” there,’” Sammy wrote promote and perform – Sammy Obeid in his blog after day 441, shows. Throughout his after receiving honest words from Howard Stern. success he has noticed how much stronger and On top of keeping up his blog and working funnier his set has been. a show every night, Sammy is being followed by “The comedic growth that I’ve experienced is a cameraman throughout his shows to film the pretty immense and (this is a double negative) comedy marathon. but you can’t not get good from doing comedy “The whole time I thought it would be really every night. It’s inevitable, it will just happen,” cool to get a guy to follow me around, and I he said. “I’m just amazed of how much more wouldn’t have to pay anything because I don’t power I feel like I have, how much more control have any money. It turns out I met a guy who’s I feel I have over a crowd, and having more been waiting to find the perfect project to put material. I would have never thought this was himself into,” he said. “We are going to turn it conceivable two years ago.” into a full-on movie, and recently I’ve a lot of The last day of work for Sammy Obeid will good financial success, so I can actually pay him be on Sept. 21, 2013, making it officially 1,001 now and we can get better equipment. It’s really consecutive days of stand-up comedy. Now coming along.” working on this eighth wind, quitting is not even Originally from Oakland and a UC Berkeley an option for him but he does look forward to graduate, Obeid first started comedy after one his future day off. of his college professors suggested he try it “I don’t even know what I’m going to do yet. out. After bombing the first time on stage, he But it’s going to involve locking myself in my became discouraged and decided that maybe room or a few days,” joked Obeid. comedy wasn’t the right career for him. But a few years later he enrolled in a public speaking Sammy Obeid will perform class and ended up winning one of the national a free show with Mike E. Winfield at Sacramento tournaments. After realizing his speaking skill, State's University Union he decided to brave the stage once more in San Ballroom on April 4. On April 7, Obeid will headline Jose for a comedy competition. Although he a show at Punch Line in didn’t get the winning title, he performed very Sacramento. Tickets for the latter are $15. well on stage getting plenty of laughs. SubmergeMag.com

916-443-9751

1901 10th Street

Downtown SacRamEnto

eVery monday niGhT

GuesT cheFs SERvINg up $5 plATES, 6pm

eVery Tuesday niGhT

KaraoKe!

eVery wednesday niGhT

oPen mic!

9pm Free

sign-ups 8:30pm

9pm Free

Thurs, march 21 mon, BLUE GRASS march 25 ACOUSTIC JAM

9pm • $5

7-10pm • FREE

DJ Micah J • 10pm $3

Fri, march 22 9pm • $5

Southlot, Juliet Company, Swahili Passion, Anmarie Fielding

saT, march 23 9pm • $5

Groovin’ High, Northbound Train, Riot Act

Event Horizon, Monomyth Inception

Thurs, march 28

W/ SAC CITY ENTERTAINMENT

Friday, march 29 9pm • $5

The Brodys,

Jet Black Popes, Inferno Of Joy (San Francisco)

JAMMING 101

6-9pm • free

No Small Children, The Taylor Chicks 9pm • $5

saT, march 30 9pm • $7

Trouble Makers,

The Four Eyes

Taste our NEwLy REvAMPEd LUNCH MENU! Mon-Fri 11:30am - 2pm

*

Every wednesday BEER SPECIALS 9-11pm

*

EASTER BRUNCH SACRAMENTO’S BEST FAMILY BRUNCH

SERVED TIL 2pm! w/ DOG FRIENDLY PATIO

*OPEN MIC* Every Friday 9pm

NO COVER & ALL AGES $3 Wells | $3 Craft Beer | $6 Apps 57th & Jst - 916-457-5600 Happy Hour M-F 3-6 pm & Thur 9-1am Issue 132 • March 18 – April 1, 2013

29


the shallow end It’s Hard Out There for a Pope James Barone jb@submergemag.com

LaTe NighT happy 7 DayS a Week houR 10pMCLoSe

I was glued to Twitter and the morning news the past couple weeks, eagerly awaiting who would be crowned World’s Next Top Catholic. This was some high drama stuff. I’m not overly religious, which is to say, I’m not religious at all. I was “raised catholic,” which means I celebrated Christmas and Easter, went to classes to get my first confession, communion and confirmed, but my Confirmation acted somewhat like graduation, which meant I’d completed all my training and didn’t have to go to church any more, so I stopped. There are some vestiges of my catholic upbringing. I celebrate all the holidays, I don’t eat meat on Good Friday (well, fish, but like Kurt Cobain said, they don’t have any feelings), I feel guilty for just about anything and I have an irrational fear of demonic possession. I’m also very interested in what the pope’s up to. The pope is like God’s president. He’s an elected official who has a good deal of power, but what he does on a day to day basis has little affect on how I go about my business. Perhaps my papal fascination stems from having the luxury of growing up with the greatest pope of all time, John Paul II, who, even though he was of a different nationality, looked very much like any of my great uncles, and was also a pretty progressive dude as far as Catholicism is concerned. Sure, I didn’t agree with everything he stood for, but at least he tried to adapt with the times. He extended olive branches to people and groups who had long since been ostracized by the church. He had the best pope wave ever, too. Upon his death, he was replaced by Pope Benedict XVI, nee John Ratzinger, a man who’d been accused of having Nazi ties in the past. I’m not sure if that’s true or not, and I don’t mean this column to be an indictment of the man. I wasn’t a fan of his, because he was kinda boring, and his pope name, Benedict, just seemed like something some jerk pope would pick, but he clearly had the burden of operating in his predecessor’s considerable shadow. As far as pope’s go, Ol’ Benedict XVI’s reign was but a blip on Catholicism’s radar. I’m sure he gave speeches or whatever, but I couldn’t point to anything particularly memorable that he did, other than being the only pope in a billion years (give or take) to vacate the throne before he met his maker. So, on Feb. 28, 2013, Ratzinger said peace out to the world’s Catholics and left the seat of the Vatican vacant. The Conclave began

$3 Select Beers / $4 Wells $7 Craft Cocktails

BRuNCh LuNCh DiNNeR LaTe NighT DiNiNg 30

R E U R YOAD HE

2718 J Street Sacramento

916.706.2275 TheRedRabbit.net Facebook.com/ SacRabbit

soon after. This is a secret process, shrouded in ancient traditions and mystery. Like anything that’s shrouded in ancient traditions and mystery, it’s rife for conspiracy theorists. News anchors from around the world descended upon the world’s smallest sovereign nation, Vatican City, to eagerly await the announcement of a new pontiff. Cardinals from the farthest reaches of the globe heeded the call and flew in to the microstate to cast their votes. Newsfolk wanted to be sure you knew this process was something of the utmost secrecy. There are few who know how a new pope is elected, and they’re sworn by oath not to say a word about it. However, it seemed from what I saw on the news that everyone kind of new what the deal was. Just about every bishop, priest and monsignor from here to Burma was interviewed about what was going on behind closed doors. “Oh, they pray that their vote is true before they cast it,” one would say. “The cardinals will conduct multiple rounds of voting until a suitable majority emerges,” another would chime in. Really? I don’t know. When I hear something is shrouded in ancient traditions and mystery, I want some Dan Brown, DaVinci Code shit, not just a bunch of old dudes in red beanies talking about stuff and casting ballots. I want a tribunal consisting of a few saints and a descendent of Jesus and Beelzebub. I want the Archangel Gabriel swooping in with a swarm of locusts. I have a lot of time on my hands to think about this stuff. So eventually, the cardinals decided on Jorge Mario Bergoglio, a Jesuit from Argentina, who will take the name Francis I. Again, we have someone who looks like he could be one of my great uncles. Of course, the announcement was met with a good deal of negative feedback. People brooded over his past comments that abortion is a death sentence and same sex marriage an abomination (but really, he’s a high-ranking catholic cardinal, what did people think his views would be on these things?). There was also a backlash about his supposed reluctance to stand up to a harsh Argentinean military regime. I’m not saying these accusations are false (they probably aren’t), but I’m willing to give the guy a chance. Maybe the office will soften his views. I know, that would take a miracle (see what I did there?)…

Call Us (916) 441-3803 or email Us info@submergemag.com Today!

Issue 132 • March 18 – April 1, 2013

Support Submerge

advertisers! This publication would not be possible without the support of our wonderful advertisers.

Dive Into Sacramento & Its Surrounding Areas


3/19 & 3/20 NBiOGTOhhLTDS rebelutionSO u T ! j boog • hot rain

3/23 the joy Formidable Fort lean

3/24 enter Shikari architectS (Uk) • hearteSt croSSFaith • maid oF the miSt

3/27 Mindless self indUlgence 3/28 ab SoUl

3/29

Family First Volume 1

ValU Fa • teki Finn the grooVah & United diStrictz SamU • irie loVe • yg lb • Sanga kingi & PiStallion • dj reeF

3/30 GeorGe clinton

& Parliament FUnkadelic

3/31

4/17 the Selecter

5/9 rehab

sevendust coal chamber lacUna coil • candlelight red

lee “Scratch” Perry

bmnc • angelS cUt

4/2 techn9ne

4/19 the engliSh beat la noche oSkUra

5/17 tyler, the creator

4/20 FoalS cold eSkimo deSario

5/18 dillinGer eScaPe Plan

brotha lynch hUng krizz kaliko • kUtt calhoUn ceS crU • rittz americaz mozt haUnted

4/4 yg

dj mUStard

4/5 jonny craig kUrt traViS • the Seeking hail the SUn • jameS caVern ViSting dayS

4/6 SoUl aSylUm a Single Second

the FaceleSS • royal thUnder joUrnal

4/21 iamSU! 4/22 QUeenSryche 4/24 alex clare

4/11 the rocket suMMer

4/25 katchaFire

4/12 andre nickatina

4/26 taj he SPitz

the claSSic crime • joe brookS

roach gigz • loS rakaS Playah k • k-ottic

4/13 the exPendableS PaciFic dUb • arden Park rootS

4/14 alt j hUndred waterS

earl SweatShirt

maoli • SimPle creation throUgh the rootS

jay brown the Singer jUlian write • team backPack groUPweStent • tha neighborz

5/4 Some Fear none

are we hUman? • miSamore VaniShing aFFair • egoStall • highway 12

5/8 machine gUn kelly

5/22 turboneGro torche

5/31 caPital citieS dancing with StrangerS Gold fields

6/1 Finch perForming “What it isto Burn” in it’s entirety

6/8 bret michaelS 6/18 memPhiS mayFire

i See StarS • Stick to yoUr gUnS atilla • handgUnS • merchantS

7/27 y&t

end oF dayS • reStrayned

1417 R STREET • SACRAMENTO ACEOFSPADESSAC.COM

All Shows All Ages SubmergeMag.com

Tickets Available @ Dimple Records, The Beat, Armadillo (Davis) Online: AceOfSpadesSac.com By Phone: 1.877.GND.CTRL OR 916.443.9202 Issue 132 • March 18 – April 1, 2013

31


Dive into Sacramento & its Surrounding Areas March 18 – april 1, 2013

#132

10Fashion Week Looks from Sacramento

blvd park sammy obeid I hear the sound

the iron man of Comedy

tel cairo

Through the Looking Glass

+

assembly

A New Place for Live Arts & Music Carell, Buscemi, Carrey & Wilde create Movie Magic (Mostly)

Please, No More Sushi

free


Submerge Magazine: Issue 132 (March 18 - April 1, 2013)